
var yobiparaF =['LABF','CABF','RABF'];
var aclassF =['0','LFLNG','CFLNG','RFLNG'];
var typeparaF =['0','LFLNGCATE','CFLNGCATE','RFLNGCATE'];

var aclassdata = ["5K:0","10K:1","16K:2","20K:3","30K:4","40K:5","63K:6"];
var typedataF = ["SOH-FF:0","SOP-FF:1","BL-FF:2","SOH-RF:3","SOP-RF:4","BL-RF:5","WN:6","WN:7","LJ:8"];//WN:7 for 30KWN
var typedata5K		=["SOH-FF:0","SOP-FF:1","LJ:8","BL-FF:2"];
var typedata10K 	=["SOH-FF:0","SOP-FF:1","LJ:8","BL-FF:2"];
var typedata16K		=["規格外:4","SOH-FF:0","LJ:8","BL-FF:2"];
var typedata20K 	=["規格外:4","SOH-RF:3","LJ:8","BL-RF:5"];
var typedata30K 	=["WN:7","SOH-RF:3","BL-RF:5"];
var typedata40K		=["BL-RF:5","WN:6"];
var typedata63K		=["BL-RF:5","WN:6"];
var aclasspointer = 1;
var typeFpointer = 1;
var typeFpointersub =1;
var SchpointerLJ = 1; //LJ h5S,10S,20S,40
var DBlist =["F5K","F10K","F16K","F20K","F30K","F40K","F63K","LJOINT"];
var tBLg = 3;
var tSOg = 3;
//F5K=  SOPKg","WNKg","SOHKg","BLKg"
//F10K= SOPKg","WNKg","SOHKg","BLKg"
//F16K= SOPKg","SOHKg","BLKg"
//F20K= SOHKg","WNKg","SOPKg","BLKg"
//F30K= SOHKg","WNKg","SOPKg","BLKg","aWN","bWN"
//F40K= BLKg","WNKg"
//F63K= BLKg","WNKg"
var sOPKg =0;
var wNKg =0;
var sOHKg =0;
var bLKg =0;
 //ラップジョイントのパラメータ
var LOD="" ;
var LF="" ;
var LG=["5K","10K","16K","20K"] ;
var LT=["5S","10S","20S","40"] ;
var LR1=0;
var LR2=0;
var BLflag =false;

var F5K =[
			{"A":6,"B":"1/8","Dp":"---","D":"---","tBL":"---","t":"---","f":"---","g":"---","C":"---","h":"---","N":"---","do":"---","T":"---","a":"---","b":"---","r":"---","SOPKg":"---","WNKg":"---","SOHKg":"---","BLKg":"---"},
			{"A":8,"B":"1/4","Dp":"---","D":"---","tBL":"---","t":"---","f":"---","g":"---","C":"---","h":"---","N":"---","do":"---","T":"---","a":"---","b":"---","r":"---","SOPKg":"---","WNKg":"---","SOHKg":"---","BLKg":"---"},
			{"A":10,"B":"3/8","Dp":17.3,"D":75,"tBL":9,"t":9,"f":1,"g":39,"C":55,"h":12,"N":4,"do":17.8,										"T":"---","a":"---","b":"---","r":"---","SOPKg":0.26,"WNKg":0.3,"SOHKg":"---","BLKg":0.28},
			{"A":15,"B":"1/2","Dp":21.7,"D":80,"tBL":9,"t":9,"f":1,"g":44,"C":60,"h":12,"N":4,"do":22.2,										"T":"---","a":"---","b":"---","r":"---","SOPKg":0.30,"WNKg":0.35,"SOHKg":"---","BLKg":0.32},
			{"A":20,"B":"3/4","Dp":27.2,"D":85,"tBL":10,"t":10,"f":1,"g":49,"C":65,"h":12,"N":4,"do":27.7,									"T":"---","a":"---","b":"---","r":"---","SOPKg":0.36,"WNKg":0.44,"SOHKg":"---","BLKg":0.41},
			{"A":25,"B":"1","Dp":34,"D":95,"tBL":10,"t":10,"f":1,"g":59,"C":75,"h":12,"N":4,"do":34.5,											"T":"---","a":"---","b":"---","r":"---","SOPKg":0.45,"WNKg":0.56,"SOHKg":"---","BLKg":0.52},
			{"A":32,"B":"1 1/4","Dp":42.7,"D":115,"tBL":12,"t":12,"f":2,"g":70,"C":90,"h":15,"N":4,"do":43.2,								"T":"---","a":"---","b":"---","r":"---","SOPKg":0.77,"WNKg":0.94,"SOHKg":"---","BLKg":0.91},
			{"A":40,"B":"1 1/2","Dp":48.6,"D":120,"tBL":12,"t":12,"f":2,"g":75,"C":95,"h":15,"N":4,"do":49.1,								"T":"---","a":"---","b":"---","r":"---","SOPKg":0.82,"WNKg":1.03,"SOHKg":"---","BLKg":1},
			{"A":50,"B":"2","Dp":60.5,"D":130,"tBL":14,"t":14,"f":2,"g":85,"C":105,"h":15,"N":4,"do":61.1,									"T":"---","a":"---","b":"---","r":"---","SOPKg":1.06,"WNKg":1.33,"SOHKg":"---","BLKg":1.38},
			{"A":65,"B":"2 1/2","Dp":76.3,"D":155,"tBL":14,"t":14,"f":2,"g":110,"C":130,"h":15,"N":4,"do":77.1,							"T":"---","a":"---","b":"---","r":"---","SOPKg":1.48,"WNKg":1.92,"SOHKg":"---","BLKg":2},
			{"A":80,"B":"3","Dp":89.1,"D":180,"tBL":14,"t":14,"f":2,"g":121,"C":145,"h":19,"N":4,"do":90,									"T":"---","a":"---","b":"---","r":"---","SOPKg":1.97,"WNKg":2.53,"SOHKg":"---","BLKg":2.67},
			{"A":90,"B":"3 1/2","Dp":101.6,"D":190,"tBL":14,"t":14,"f":2,"g":131,"C":155,"h":19,"N":4,"do":102.6,						"T":"---","a":"---","b":"---","r":"---","SOPKg":2.08,"WNKg":2.74,"SOHKg":"---","BLKg":2.99},
			{"A":100,"B":4,"Dp":114.3,"D":200,"tBL":16,"t":16,"f":2,"g":141,"C":165,"h":19,"N":8,"do":115.4,								"T":"---","a":"---","b":"---","r":"---","SOPKg":2.35,"WNKg":3.04,"SOHKg":"---","BLKg":3.66},
			{"A":125,"B":5,"Dp":139.8,"D":235,"tBL":16,"t":16,"f":2,"g":176,"C":200,"h":19,"N":8,"do":141.2,								"T":"---","a":"---","b":"---","r":"---","SOPKg":3.20,"WNKg":4.17,"SOHKg":"---","BLKg":5.16},
			{"A":150,"B":6,"Dp":165.2,"D":265,"tBL":18,"t":18,"f":2,"g":206,"C":230,"h":19,"N":8,"do":166.6,								"T":"---","a":"---","b":"---","r":"---","SOPKg":4.39,"WNKg":5.87,"SOHKg":"---","BLKg":7.47},
			{"A":175,"B":7,"Dp":190.7,"D":300,"tBL":18,"t":18,"f":2,"g":232,"C":260,"h":23,"N":8,"do":192.1,								"T":"---","a":"---","b":"---","r":"---","SOPKg":5.42,"WNKg":7.16,"SOHKg":"---","BLKg":9.52},
			{"A":200,"B":8,"Dp":216.3,"D":320,"tBL":20,"t":20,"f":2,"g":252,"C":280,"h":23,"N":8,"do":218,								"T":"---","a":"---","b":"---","r":"---","SOPKg":6.24,"WNKg":8.5,"SOHKg":"---","BLKg":12.1},
			{"A":225,"B":9,"Dp":241.8,"D":345,"tBL":20,"t":20,"f":2,"g":277,"C":305,"h":23,"N":12,"do":243.7,							"T":"---","a":"---","b":"---","r":"---","SOPKg":6.57,"WNKg":9.3,"SOHKg":"---","BLKg":13.9},
			{"A":250,"B":10,"Dp":267.4,"D":385,"tBL":22,"t":22,"f":2,"g":317,"C":345,"h":23,"N":12,"do":269.5,							"T":"---","a":"---","b":"---","r":"---","SOPKg":9.39,"WNKg":13.2,"SOHKg":"---","BLKg":19.2},
			{"A":300,"B":12,"Dp":318.5,"D":430,"tBL":22,"t":22,"f":3,"g":360,"C":390,"h":23,"N":12,"do":321,							"T":"---","a":"---","b":"---","r":"---","SOPKg":10.2,"WNKg":15.1,"SOHKg":"---","BLKg":24.2},
			{"A":350,"B":14,"Dp":355.6,"D":480,"tBL":24,"t":24,"f":3,"g":403,"C":435,"h":25,"N":12,"do":358.1,							"T":"---","a":"---","b":"---","r":"---","SOPKg":14.0,"WNKg":21.2,"SOHKg":"---","BLKg":33},
			{"A":400,"B":16,"Dp":406.4,"D":540,"tBL":24,"t":24,"f":3,"g":463,"C":495,"h":25,"N":16,"do":409,							"T":"---","a":"---","b":"---","r":"---","SOPKg":16.9,"WNKg":26.2,"SOHKg":"---","BLKg":41.7},
			{"A":450,"B":18,"Dp":457.2,"D":605,"tBL":24,"t":24,"f":3,"g":523,"C":555,"h":25,"N":16,"do":460,							"T":40,"a":495,"b":500,"r":5,"SOPKg":21.4,"WNKg":32.7,"SOHKg":24.9,"BLKg":52.7},
			{"A":500,"B":20,"Dp":508,"D":655,"tBL":24,"t":24,"f":3,"g":573,"C":605,"h":25,"N":20,"do":511,								"T":40,"a":546,"b":552,"r":5,"SOPKg":23,"WNKg":35.4,"SOHKg":27,"BLKg":61.6},
			{"A":550,"B":22,"Dp":558.8,"D":720,"tBL":26,"t":26,"f":3,"g":630,"C":665,"h":27,"N":20,"do":562,							"T":42,"a":597,"b":603,"r":5,"SOPKg":30.1,"WNKg":44.4,"SOHKg":34.5,"BLKg":80.8},
			{"A":600,"B":24,"Dp":609.6,"D":770,"tBL":26,"t":26,"f":3,"g":680,"C":715,"h":27,"N":20,"do":613,							"T":44,"a":648,"b":654,"r":5,"SOPKg":32.5,"WNKg":47.8,"SOHKg":37.8,"BLKg":92.7},
			{"A":650,"B":26,"Dp":660.4,"D":825,"tBL":28,"t":26,"f":3,"g":735,"C":770,"h":27,"N":24,"do":664,							"T":48,"a":702,"b":708,"r":5,"SOPKg":35.6,"WNKg":54.3,"SOHKg":43.2,"BLKg":114},
			{"A":700,"B":28,"Dp":711.2,"D":875,"tBL":30,"t":26,"f":3,"g":785,"C":820,"h":27,"N":24,"do":715,							"T":48,"a":751,"b":758,"r":5,"SOPKg":38,"WNKg":60.6,"SOHKg":45.8,"BLKg":138},
			{"A":750,"B":30,"Dp":762,"D":945,"tBL":32,"t":28,"f":3,"g":840,"C":880,"h":33,"N":24,"do":766,								"T":52,"a":802,"b":810,"r":5,"SOPKg":48.4,"WNKg":75.4,"SOHKg":57.7,"BLKg":171},
			{"A":800,"B":32,"Dp":812.8,"D":995,"tBL":34,"t":28,"f":3,"g":890,"C":930,"h":33,"N":24,"do":817,							"T":52,"a":854,"b":862,"r":5,"SOPKg":51.2,"WNKg":79.5,"SOHKg":61.3,"BLKg":202},
			{"A":850,"B":34,"Dp":863.6,"D":1045,"tBL":36,"t":28,"f":3,"g":940,"C":980,"h":33,"N":24,"do":868,							"T":54,"a":904,"b":912,"r":5,"SOPKg":53.9,"WNKg":87,"SOHKg":65.3,"BLKg":237},
			{"A":900,"B":36,"Dp":914.4,"D":1095,"tBL":36,"t":30,"f":3,"g":990,"C":1030,"h":33,"N":24,"do":919,						"T":56,"a":956,"b":964,"r":5,"SOPKg":60.7,"WNKg":95.2,"SOHKg":73.1,"BLKg":260},
			{"A":1000,"B":40,"Dp":1016,"D":1195,"tBL":40,"t":32,"f":3,"g":1090,"C":1130,"h":33,"N":28,"do":1021,					"T":60,"a":1058,"b":1066,"r":5,"SOPKg":70.1,"WNKg":111,"SOHKg":84.8,"BLKg":345},
			{"A":1100,"B":44,"Dp":1117.6,"D":1305,"tBL":44,"t":32,"f":3,"g":1200,"C":1240,"h":33,"N":28,"do":1122,				"T":71,"a":1158,"b":1170,"r":7,"SOPKg":81.6,"WNKg":146,"SOHKg":105,"BLKg":454},
			{"A":1200,"B":48,"Dp":1219.2,"D":1420,"tBL":48,"t":34,"f":3,"g":1305,"C":1350,"h":33,"N":32,"do":1224,				"T":77,"a":1260,"b":1272,"r":7,"SOPKg":101,"WNKg":190,"SOHKg":129,"BLKg":586},
			{"A":1350,"B":54,"Dp":1371.6,"D":1575,"tBL":54,"t":34,"f":3,"g":1460,"C":1505,"h":33,"N":32,"do":1376,				"T":80,"a":1414,"b":1426,"r":7,"SOPKg":116,"WNKg":240,"SOHKg":151,"BLKg":814},
			{"A":1500,"B":60,"Dp":1524,"D":1730,"tBL":58,"t":36,"f":3,"g":1615,"C":1660,"h":33,"N":36,"do":1529,					"T":86,"a":1568,"b":1580,"r":7,"SOPKg":137,"WNKg":284,"SOHKg":180,"BLKg":1060}
		];

var F10K=[
			{"A":6,"B":"1/8","Dp":"---","D":"---","tBL":"---","t":"---","f":"---","g":"---","C":"---","h":"---","N":"---","do":"---",	"T":"---","a":"---","b":"---","r":"---","SOPKg":"---","WNKg":"---","SOHKg":"---","BLKg":"---"},
			{"A":8,"B":"1/4","Dp":"---","D":"---","tBL":"---","t":"---","f":"---","g":"---","C":"---","h":"---","N":"---","do":"---",		"T":"---","a":"---","b":"---","r":"---","SOPKg":"---","WNKg":"---","SOHKg":"---","BLKg":"---"},
			{"A":10,"B":"3/8","Dp":17.3,"D":90,"tBL":12,"t":12,"f":1,"g":46,"C":65,"h":15,"N":4,"do":17.8,										"T":"---","a":"---","b":"---","r":"---","SOPKg":0.51,"WNKg":0.55,"SOHKg":"---","BLKg":0.53},
			{"A":15,"B":"1/2","Dp":21.7,"D":95,"tBL":12,"t":12,"f":1,"g":51,"C":70,"h":15,"N":4,"do":22.2,										"T":"---","a":"---","b":"---","r":"---","SOPKg":0.56,"WNKg":0.63,"SOHKg":"---","BLKg":0.6},
			{"A":20,"B":"3/4","Dp":27.2,"D":100,"tBL":14,"t":14,"f":1,"g":56,"C":75,"h":15,"N":4,"do":27.7,										"T":"---","a":"---","b":"---","r":"---","SOPKg":0.72,"WNKg":0.8,"SOHKg":"---","BLKg":0.79},
			{"A":25,"B":1,"Dp":34,"D":125,"tBL":14,"t":14,"f":1,"g":67,"C":90,"h":19,"N":4,"do":34.5,												"T":"---","a":"---","b":"---","r":"---","SOPKg":1.12,"WNKg":1.26,"SOHKg":"---","BLKg":1.22},
			{"A":32,"B":"1 1/4","Dp":42.7,"D":135,"tBL":16,"t":16,"f":2,"g":76,"C":100,"h":19,"N":4,"do":43.2,								"T":"---","a":"---","b":"---","r":"---","SOPKg":1.47,"WNKg":1.67,"SOHKg":"---","BLKg":1.66},
			{"A":40,"B":"1 1/2","Dp":48.6,"D":140,"tBL":16,"t":16,"f":2,"g":81,"C":105,"h":19,"N":4,"do":49.1,								"T":"---","a":"---","b":"---","r":"---","SOPKg":1.55,"WNKg":1.78,"SOHKg":"---","BLKg":1.79},
			{"A":50,"B":2,"Dp":60.5,"D":155,"tBL":16,"t":16,"f":2,"g":96,"C":120,"h":19,"N":4,"do":61.1,											"T":"---","a":"---","b":"---","r":"---","SOPKg":1.86,"WNKg":2.18,"SOHKg":"---","BLKg":2.23},
			{"A":65,"B":"2 1/2","Dp":76.3,"D":175,"tBL":18,"t":18,"f":2,"g":116,"C":140,"h":19,"N":4,"do":77.1,								"T":"---","a":"---","b":"---","r":"---","SOPKg":2.58,"WNKg":3.07,"SOHKg":"---","BLKg":3.24},
			{"A":80,"B":3,"Dp":89.1,"D":185,"tBL":18,"t":18,"f":2,"g":126,"C":150,"h":19,"N":8,"do":90,											"T":"---","a":"---","b":"---","r":"---","SOPKg":2.58,"WNKg":3.17,"SOHKg":"---","BLKg":3.48},
			{"A":90,"B":"3 1/2","Dp":101.6,"D":195,"tBL":18,"t":18,"f":2,"g":136,"C":160,"h":19,"N":8,"do":102.6,							"T":"---","a":"---","b":"---","r":"---","SOPKg":2.73,"WNKg":3.4,"SOHKg":"---","BLKg":3.9},
			{"A":100,"B":4,"Dp":114.3,"D":210,"tBL":18,"t":18,"f":2,"g":151,"C":175,"h":19,"N":8,"do":115.4,									"T":"---","a":"---","b":"---","r":"---","SOPKg":3.1,"WNKg":3.89,"SOHKg":"---","BLKg":4.57},
			{"A":125,"B":5,"Dp":139.8,"D":250,"tBL":20,"t":20,"f":2,"g":182,"C":210,"h":23,"N":8,"do":141.2,									"T":"---","a":"---","b":"---","r":"---","SOPKg":4.73,"WNKg":5.77,"SOHKg":"---","BLKg":7.18},
			{"A":150,"B":6,"Dp":165.2,"D":280,"tBL":22,"t":22,"f":2,"g":212,"C":240,"h":23,"N":8,"do":166.6,									"T":"---","a":"---","b":"---","r":"---","SOPKg":6.3,"WNKg":7.86,"SOHKg":"---","BLKg":10.1},
			{"A":175,"B":7,"Dp":190.7,"D":305,"tBL":22,"t":22,"f":2,"g":237,"C":265,"h":23,"N":12,"do":192.1,								"T":"---","a":"---","b":"---","r":"---","SOPKg":6.75,"WNKg":8.7,"SOHKg":"---","BLKg":11.8},
			{"A":200,"B":8,"Dp":216.3,"D":330,"tBL":22,"t":22,"f":2,"g":262,"C":290,"h":23,"N":12,"do":218,									"T":"---","a":"---","b":"---","r":"---","SOPKg":7.46,"WNKg":10.1,"SOHKg":"---","BLKg":13.9},
			{"A":225,"B":9,"Dp":241.8,"D":350,"tBL":22,"t":22,"f":2,"g":282,"C":310,"h":23,"N":12,"do":243.7,								"T":"---","a":"---","b":"---","r":"---","SOPKg":7.7,"WNKg":10.6,"SOHKg":"---","BLKg":15.8},
			{"A":250,"B":10,"Dp":267.4,"D":400,"tBL":24,"t":24,"f":2,"g":324,"C":355,"h":25,"N":12,"do":269.5,								"T":36,"a":288,"b":292,"r":6,"SOPKg":11.8,"WNKg":16,"SOHKg":12.7,"BLKg":22.6},
			{"A":300,"B":12,"Dp":318.5,"D":445,"tBL":24,"t":24,"f":3,"g":368,"C":400,"h":25,"N":16,"do":321,								"T":38,"a":340,"b":346,"r":6,"SOPKg":12.6,"WNKg":18.1,"SOHKg":13.8,"BLKg":27.8},
			{"A":350,"B":14,"Dp":355.6,"D":490,"tBL":26,"t":26,"f":3,"g":413,"C":445,"h":25,"N":16,"do":358.1,								"T":42,"a":380,"b":386,"r":6,"SOPKg":16.3,"WNKg":24.8,"SOHKg":18.2,"BLKg":36.9},
			{"A":400,"B":16,"Dp":406.4,"D":560,"tBL":28,"t":28,"f":3,"g":475,"C":510,"h":27,"N":16,"do":409,								"T":44,"a":436,"b":442,"r":6,"SOPKg":23.2,"WNKg":34.2,"SOHKg":25.8,"BLKg":52.1},
			{"A":450,"B":18,"Dp":457.2,"D":620,"tBL":30,"t":30,"f":3,"g":530,"C":565,"h":27,"N":20,"do":460,								"T":48,"a":496,"b":502,"r":6,"SOPKg":29.3,"WNKg":42.7,"SOHKg":33.4,"BLKg":68.4},
			{"A":500,"B":20,"Dp":508,"D":675,"tBL":30,"t":30,"f":3,"g":585,"C":620,"h":27,"N":20,"do":511,									"T":48,"a":548,"b":554,"r":6,"SOPKg":33.3,"WNKg":50.3,"SOHKg":38,"BLKg":81.6},
			{"A":550,"B":22,"Dp":558.8,"D":745,"tBL":34,"t":32,"f":3,"g":640,"C":680,"h":33,"N":20,"do":562,								"T":52,"a":604,"b":610,"r":6,"SOPKg":42.9,"WNKg":64.4,"SOHKg":49.4,"BLKg":112},
			{"A":600,"B":24,"Dp":609.6,"D":795,"tBL":36,"t":32,"f":3,"g":690,"C":730,"h":33,"N":24,"do":613,								"T":52,"a":656,"b":662,"r":6,"SOPKg":45.4,"WNKg":69.1,"SOHKg":52.6,"BLKg":134},
			{"A":650,"B":26,"Dp":660.4,"D":845,"tBL":38,"t":34,"f":3,"g":740,"C":780,"h":33,"N":24,"do":664,								"T":56,"a":706,"b":712,"r":6,"SOPKg":51.8,"WNKg":78.7,"SOHKg":60.2,"BLKg":161},
			{"A":700,"B":28,"Dp":711.2,"D":905,"tBL":40,"t":34,"f":3,"g":800,"C":840,"h":33,"N":24,"do":715,								"T":58,"a":762,"b":770,"r":6,"SOPKg":59,"WNKg":94.5,"SOHKg":70.2,"BLKg":196},
			{"A":750,"B":30,"Dp":762,"D":970,"tBL":44,"t":36,"f":3,"g":855,"C":900,"h":33,"N":24,"do":766,									"T":62,"a":816,"b":824,"r":6,"SOPKg":72.8,"WNKg":114,"SOHKg":86.5,"BLKg":248},
			{"A":800,"B":32,"Dp":812.8,"D":1020,"tBL":46,"t":36,"f":3,"g":905,"C":950,"h":33,"N":28,"do":817,								"T":64,"a":868,"b":876,"r":6,"SOPKg":76,"WNKg":120,"SOHKg":92,"BLKg":286},
			{"A":850,"B":34,"Dp":863.6,"D":1070,"tBL":48,"t":36,"f":3,"g":955,"C":1000,"h":33,"N":28,"do":868,							"T":66,"a":920,"b":928,"r":6,"SOPKg":80.1,"WNKg":126,"SOHKg":98.7,"BLKg":330},
			{"A":900,"B":36,"Dp":914.4,"D":1120,"tBL":50,"t":38,"f":3,"g":1005,"C":1050,"h":33,"N":28,"do":919,							"T":70,"a":971,"b":979,"r":6,"SOPKg":88.9,"WNKg":138,"SOHKg":110,"BLKg":377},
			{"A":1000,"B":40,"Dp":1016,"D":1235,"tBL":56,"t":40,"f":3,"g":1110,"C":1160,"h":39,"N":28,"do":1021,						"T":74,"a":1073,"b":1081,"r":6,"SOPKg":109,"WNKg":171,"SOHKg":133,"BLKg":512},
			{"A":1100,"B":44,"Dp":1117.6,"D":1345,"tBL":62,"t":42,"f":3,"g":1220,"C":1270,"h":39,"N":28,"do":1122,					"T":95,"a":1175,"b":1185,"r":8,"SOPKg":131,"WNKg":222,"SOHKg":175,"BLKg":675},
			{"A":1200,"B":48,"Dp":1219.2,"D":1465,"tBL":66,"t":44,"f":3,"g":1325,"C":1380,"h":39,"N":32,"do":1224,					"T":101,"a":1278,"b":1290,"r":8,"SOPKg":163,"WNKg":275,"SOHKg":215,"BLKg":854},
			{"A":1350,"B":54,"Dp":1371.6,"D":1630,"tBL":74,"t":48,"f":3,"g":1480,"C":1540,"h":45,"N":36,"do":1376,					"T":110,"a":1432,"b":1450,"r":8,"SOPKg":204,"WNKg":363,"SOHKg":274,"BLKg":1180},
			{"A":1500,"B":60,"Dp":1524,"D":1795,"tBL":82,"t":50,"f":3,"g":1635,"C":1700,"h":45,"N":40,"do":1529,						"T":123,"a":1585,"b":1605,"r":8,"SOPKg":248,"WNKg":459,"SOHKg":340,"BLKg":1590}
			];
	
var F16K=[
			{"A":6,"B":"1/8","Dp":"---","D":"---","tBL":"---","t":"---","f":"---","g":"---","C":"---","h":"---","N":"---","do":"---","T":"---","a":"---","b":"---","r":"---","SOPKg":"---","SOHKg":"---","BLKg":"---"},
			{"A":8,"B":"1/4","Dp":"---","D":"---","tBL":"---","t":"---","f":"---","g":"---","C":"---","h":"---","N":"---","do":"---","T":"---","a":"---","b":"---","r":"---","SOPKg":"---","SOHKg":"---","BLKg":"---"},
			{"A":10,"B":"3/8","Dp":17.3,"D":90,"tBL":12,"t":12,"f":1,"g":46,"C":65,"h":15,"N":4,"do":17.8,"T":16,"a":26,"b":28,"r":4,"SOPKg":0.51,"SOHKg":0.52,"BLKg":0.53},
			{"A":15,"B":"1/2","Dp":21.7,"D":95,"tBL":12,"t":12,"f":1,"g":51,"C":70,"h":15,"N":4,"do":22.2,"T":16,"a":30,"b":32,"r":4,"SOPKg":0.56,"SOHKg":0.58,"BLKg":0.6},
			{"A":20,"B":"3/4","Dp":27.2,"D":100,"tBL":14,"t":14,"f":1,"g":56,"C":75,"h":15,"N":4,"do":27.7,"T":20,"a":38,"b":42,"r":4,"SOPKg":0.72,"SOHKg":0.75,"BLKg":0.79},
			{"A":25,"B":1,"Dp":34,"D":125,"tBL":14,"t":14,"f":1,"g":67,"C":90,"h":19,"N":4,"do":34.5,"T":20,"a":46,"b":50,"r":4,"SOPKg":1.13,"SOHKg":1.16,"BLKg":1.22},
			{"A":32,"B":"1 1/4","Dp":42.7,"D":135,"tBL":16,"t":16,"f":2,"g":76,"C":100,"h":19,"N":4,"do":43.2,"T":22,"a":56,"b":60,"r":5,"SOPKg":1.46,"SOHKg":1.53,"BLKg":1.66},
			{"A":40,"B":"1 1/2","Dp":48.6,"D":140,"tBL":16,"t":16,"f":2,"g":81,"C":105,"h":19,"N":4,"do":49.1,"T":24,"a":62,"b":66,"r":5,"SOPKg":1.56,"SOHKg":1.64,"BLKg":1.79},
			{"A":50,"B":2,"Dp":60.5,"D":155,"tBL":16,"t":16,"f":2,"g":96,"C":120,"h":19,"N":8,"do":61.1,"T":24,"a":76,"b":80,"r":5,"SOPKg":1.7,"SOHKg":1.83,"BLKg":2.09},
			{"A":65,"B":"2 1/2","Dp":76.3,"D":175,"tBL":18,"t":18,"f":2,"g":116,"C":140,"h":19,"N":8,"do":77.1,"T":26,"a":94,"b":98,"r":5,"SOPKg":2.4,"SOHKg":2.58,"BLKg":3.08},
			{"A":80,"B":3,"Dp":89.1,"D":200,"tBL":20,"t":20,"f":2,"g":132,"C":160,"h":23,"N":8,"do":90,"T":28,"a":108,"b":112,"r":6,"SOPKg":3.5,"SOHKg":3.61,"BLKg":4.41},
			{"A":90,"B":"3 1/2","Dp":101.6,"D":210,"tBL":20,"t":20,"f":2,"g":145,"C":170,"h":23,"N":8,"do":102.6,"T":30,"a":120,"b":124,"r":6,"SOPKg":3.7,"SOHKg":3.89,"BLKg":4.92},
			{"A":100,"B":4,"Dp":114.3,"D":225,"tBL":22,"t":22,"f":2,"g":160,"C":185,"h":23,"N":8,"do":115.4,"T":34,"a":134,"b":138,"r":6,"SOPKg":4.5,"SOHKg":4.87,"BLKg":6.29},
			{"A":125,"B":5,"Dp":139.8,"D":270,"tBL":22,"t":22,"f":2,"g":195,"C":225,"h":25,"N":8,"do":141.2,"T":34,"a":164,"b":170,"r":6,"SOPKg":6.5,"SOHKg":7.09,"BLKg":9.21},
			{"A":150,"B":6,"Dp":165.2,"D":305,"tBL":24,"t":24,"f":2,"g":230,"C":260,"h":25,"N":12,"do":166.6,"T":38,"a":196,"b":202,"r":6,"SOPKg":8.7,"SOHKg":9.57,"BLKg":12.7},
			{"A":175,"B":7,"Dp":"---","D":"---","tBL":"---","t":"---","f":"---","g":"---","C":"---","h":"---","N":"---","do":"---","T":"---","a":"---","b":"---","r":"---","SOPKg":"---","SOHKg":"---","BLKg":"---"},
			{"A":200,"B":8,"Dp":216.3,"D":350,"tBL":26,"t":26,"f":2,"g":275,"C":305,"h":25,"N":12,"do":218,"T":40,"a":244,"b":252,"r":6,"SOPKg":10.9,"SOHKg":12,"BLKg":18.4},
			{"A":225,"B":9,"Dp":"---","D":"---","tBL":"---","t":"---","f":"---","g":"---","C":"---","h":"---","N":"---","do":"---","T":"---","a":"---","b":"---","r":"---","SOPKg":"---","SOHKg":"---","BLKg":"---"},
			{"A":250,"B":10,"Dp":267.4,"D":430,"tBL":28,"t":28,"f":2,"g":345,"C":380,"h":27,"N":12,"do":269.5,"T":44,"a":304,"b":312,"r":6,"SOPKg":18,"SOHKg":20.1,"BLKg":30.4},
			{"A":300,"B":12,"Dp":318.5,"D":480,"tBL":30,"t":30,"f":3,"g":395,"C":430,"h":27,"N":16,"do":321,"T":48,"a":354,"b":364,"r":8,"SOPKg":21.5,"SOHKg":24.3,"BLKg":40.5},
			{"A":350,"B":14,"Dp":355.6,"D":540,"tBL":34,"t":34,"f":3,"g":440,"C":480,"h":33,"N":16,"do":358.1,"T":52,"a":398,"b":408,"r":8,"SOPKg":30.8,"SOHKg":34.4,"BLKg":57.5},
			{"A":400,"B":16,"Dp":406.4,"D":605,"tBL":38,"t":38,"f":3,"g":495,"C":540,"h":33,"N":16,"do":409,"T":60,"a":446,"b":456,"r":10,"SOPKg":42.8,"SOHKg":47.4,"BLKg":81.7},
			{"A":450,"B":18,"Dp":457.2,"D":675,"tBL":40,"t":40,"f":3,"g":560,"C":605,"h":33,"N":20,"do":460,"T":64,"a":504,"b":514,"r":10,"SOPKg":55.1,"SOHKg":61.8,"BLKg":107},
			{"A":500,"B":20,"Dp":508,"D":730,"tBL":42,"t":42,"f":3,"g":615,"C":660,"h":33,"N":20,"do":511,"T":68,"a":558,"b":568,"r":10,"SOPKg":65.1,"SOHKg":73.7,"BLKg":132},
			{"A":550,"B":22,"Dp":558.8,"D":795,"tBL":44,"t":44,"f":3,"g":670,"C":720,"h":39,"N":20,"do":562,"T":70,"a":612,"b":622,"r":10,"SOPKg":77.9,"SOHKg":87.9,"BLKg":163},
			{"A":600,"B":24,"Dp":609.6,"D":845,"tBL":46,"t":46,"f":3,"g":720,"C":770,"h":39,"N":24,"do":613,"T":74,"a":666,"b":676,"r":10,"SOPKg":86,"SOHKg":98.4,"BLKg":192}
		];

var F20K=[
			{"A":6,"B":"1/8","Dp":"---","D":"---","tBL":"---","t":"---","f":"---","g":"---","C":"---","h":"---","N":"---","do":"---","T":"---","a":"---","b":"---","r":"---","SOHKg":"---","WNKg":"---","SOPKg":"---","BLKg":"---"},
			{"A":8,"B":"1/4","Dp":"---","D":"---","tBL":"---","t":"---","f":"---","g":"---","C":"---","h":"---","N":"---","do":"---","T":"---","a":"---","b":"---","r":"---","SOHKg":"---","WNKg":"---","SOPKg":"---","BLKg":"---"},
			{"A":10,"B":"3/8","Dp":17.3,"D":90,"tBL":14,"t":14,"f":1,"g":46,"C":65,"h":15,"N":4,"do":17.8,"T":20,"a":30,"b":32,"r":4,"SOHKg":0.58,"WNKg":0.61,"SOPKg":0.58,"BLKg":0.59},
			{"A":15,"B":"1/2","Dp":21.7,"D":95,"tBL":14,"t":14,"f":1,"g":51,"C":70,"h":15,"N":4,"do":22.2,"T":20,"a":34,"b":36,"r":4,"SOHKg":0.65,"WNKg":0.7,"SOPKg":0.65,"BLKg":0.67},
			{"A":20,"B":"3/4","Dp":27.2,"D":100,"tBL":16,"t":16,"f":1,"g":56,"C":75,"h":15,"N":4,"do":27.7,"T":22,"a":40,"b":42,"r":4,"SOHKg":0.81,"WNKg":0.88,"SOPKg":0.8,"BLKg":0.86},
			{"A":25,"B":1,"Dp":34,"D":125,"tBL":16,"t":16,"f":1,"g":67,"C":90,"h":19,"N":4,"do":34.5,"T":24,"a":48,"b":50,"r":4,"SOHKg":1.27,"WNKg":1.37,"SOPKg":1.25,"BLKg":1.34},
			{"A":32,"B":"1 1/4","Dp":42.7,"D":135,"tBL":18,"t":18,"f":2,"g":76,"C":100,"h":19,"N":4,"do":43.2,"T":26,"a":56,"b":60,"r":5,"SOHKg":1.58,"WNKg":1.73,"SOPKg":1.57,"BLKg":1.73},
			{"A":40,"B":"1 1/2","Dp":48.6,"D":140,"tBL":18,"t":18,"f":2,"g":81,"C":105,"h":19,"N":4,"do":49.1,"T":26,"a":62,"b":66,"r":5,"SOHKg":1.68,"WNKg":1.85,"SOPKg":1.66,"BLKg":1.87},
			{"A":50,"B":2,"Dp":60.5,"D":155,"tBL":18,"t":18,"f":2,"g":96,"C":120,"h":19,"N":8,"do":61.1,"T":26,"a":76,"b":80,"r":5,"SOHKg":1.89,"WNKg":2.12,"SOPKg":1.89,"BLKg":2.2},
			{"A":65,"B":"2 1/2","Dp":76.3,"D":175,"tBL":20,"t":20,"f":2,"g":116,"C":140,"h":19,"N":8,"do":77.1,"T":30,"a":100,"b":104,"r":5,"SOHKg":2.73,"WNKg":3.11,"SOPKg":2.6,"BLKg":3.24},
			{"A":80,"B":3,"Dp":89.1,"D":200,"tBL":22,"t":22,"f":2,"g":132,"C":160,"h":23,"N":8,"do":90,"T":34,"a":113,"b":117,"r":6,"SOHKg":3.85,"WNKg":4.3,"SOPKg":3.8,"BLKg":4.63},
			{"A":90,"B":"3 1/2","Dp":101.6,"D":210,"tBL":24,"t":24,"f":2,"g":145,"C":170,"h":23,"N":8,"do":102.6,"T":36,"a":126,"b":130,"r":6,"SOHKg":4.47,"WNKg":5.08,"SOPKg":4.4,"BLKg":5.67},
			{"A":100,"B":4,"Dp":114.3,"D":225,"tBL":24,"t":24,"f":2,"g":160,"C":185,"h":23,"N":8,"do":115.4,"T":36,"a":138,"b":142,"r":6,"SOHKg":5.03,"WNKg":5.95,"SOPKg":4.9,"BLKg":6.61},
			{"A":125,"B":5,"Dp":139.8,"D":270,"tBL":26,"t":26,"f":2,"g":195,"C":225,"h":25,"N":8,"do":141.2,"T":40,"a":166,"b":172,"r":6,"SOHKg":7.94,"WNKg":9.31,"SOPKg":7.8,"BLKg":10.5},
			{"A":150,"B":6,"Dp":165.2,"D":305,"tBL":28,"t":28,"f":2,"g":230,"C":260,"h":25,"N":12,"do":166.6,"T":42,"a":196,"b":202,"r":6,"SOHKg":10.4,"WNKg":12.6,"SOPKg":10.1,"BLKg":14.4},
			{"A":175,"B":7,"Dp":"---","D":"---","tBL":"---","t":"---","f":"---","g":"---","C":"---","h":"---","N":"---","do":"---","T":"---","a":"---","b":"---","r":"---","SOHKg":"---","WNKg":"---","SOPKg":"---","BLKg":"---"},
			{"A":200,"B":8,"Dp":216.3,"D":350,"tBL":30,"t":30,"f":2,"g":275,"C":305,"h":25,"N":12,"do":218,"T":46,"a":244,"b":252,"r":6,"SOHKg":13.1,"WNKg":16.6,"SOPKg":12.6,"BLKg":20.8},
			{"A":225,"B":9,"Dp":"---","D":"---","tBL":"---","t":"---","f":"---","g":"---","C":"---","h":"---","N":"---","do":"---","T":"---","a":"---","b":"---","r":"---","SOHKg":"---","WNKg":"---","SOPKg":"---","BLKg":"---"},
			{"A":250,"B":10,"Dp":267.4,"D":430,"tBL":34,"t":34,"f":2,"g":345,"C":380,"h":27,"N":12,"do":269.5,"T":52,"a":304,"b":312,"r":6,"SOHKg":23.1,"WNKg":28.3,"SOPKg":21.9,"BLKg":36.2},
			{"A":300,"B":12,"Dp":318.5,"D":480,"tBL":36,"t":36,"f":3,"g":395,"C":430,"h":27,"N":16,"do":321,"T":56,"a":354,"b":364,"r":8,"SOHKg":27.2,"WNKg":34.9,"SOPKg":25.8,"BLKg":47.4},
			{"A":350,"B":14,"Dp":355.6,"D":540,"tBL":40,"t":40,"f":3,"g":440,"C":480,"h":33,"N":16,"do":358.1,"T":62,"a":398,"b":408,"r":8,"SOHKg":38.4,"WNKg":50.2,"SOPKg":36.2,"BLKg":66.1},
			{"A":400,"B":16,"Dp":406.4,"D":605,"tBL":46,"t":46,"f":3,"g":495,"C":540,"h":33,"N":16,"do":409,"T":70,"a":446,"b":456,"r":10,"SOHKg":53.9,"WNKg":71.7,"SOPKg":51.7,"BLKg":97},
			{"A":450,"B":18,"Dp":457.2,"D":675,"tBL":48,"t":48,"f":3,"g":560,"C":605,"h":33,"N":20,"do":460,"T":78,"a":504,"b":514,"r":10,"SOHKg":71,"WNKg":92.8,"SOPKg":66.1,"BLKg":126},
			{"A":500,"B":20,"Dp":508,"D":730,"tBL":50,"t":50,"f":3,"g":615,"C":660,"h":33,"N":20,"do":511,"T":84,"a":558,"b":568,"r":10,"SOHKg":84.6,"WNKg":108,"SOPKg":77.4,"BLKg":155},
			{"A":550,"B":22,"Dp":558.8,"D":795,"tBL":52,"t":52,"f":3,"g":670,"C":720,"h":39,"N":20,"do":562,"T":90,"a":612,"b":622,"r":10,"SOHKg":102,"WNKg":128,"SOPKg":92.2,"BLKg":190},
			{"A":600,"B":24,"Dp":609.6,"D":845,"tBL":56,"t":54,"f":3,"g":720,"C":770,"h":39,"N":24,"do":613,"T":96,"a":666,"b":676,"r":10,"SOHKg":115,"WNKg":144,"SOPKg":101,"BLKg":231},
			{"A":650,"B":26,"Dp":660.4,"D":945,"tBL":60,"t":60,"f":5,"g":790,"C":850,"h":48,"N":24,"do":664,"T":"---","a":"---","b":"---","r":"---","SOHKg":"---","WNKg":"---","SOPKg":148,"BLKg":312},
			{"A":700,"B":28,"Dp":711.2,"D":995,"tBL":64,"t":64,"f":5,"g":840,"C":900,"h":48,"N":24,"do":715,"T":"---","a":"---","b":"---","r":"---","SOHKg":"---","WNKg":"---","SOPKg":168,"BLKg":370},
			{"A":750,"B":30,"Dp":762,"D":1080,"tBL":68,"t":68,"f":5,"g":900,"C":970,"h":56,"N":24,"do":766,"T":"---","a":"---","b":"---","r":"---","SOHKg":"---","WNKg":"---","SOPKg":213,"BLKg":460},
			{"A":800,"B":32,"Dp":812.8,"D":1140,"tBL":72,"t":72,"f":5,"g":960,"C":1030,"h":56,"N":24,"do":817,"T":"---","a":"---","b":"---","r":"---","SOHKg":"---","WNKg":"---","SOPKg":249,"BLKg":547},
			{"A":850,"B":34,"Dp":863.6,"D":1200,"tBL":74,"t":74,"f":5,"g":1020,"C":1090,"h":56,"N":24,"do":868,"T":"---","a":"---","b":"---","r":"---","SOHKg":"---","WNKg":"---","SOPKg":280.5,"BLKg":626.2},
			{"A":900,"B":36,"Dp":914.4,"D":1250,"tBL":76,"t":76,"f":5,"g":1070,"C":1140,"h":56,"N":28,"do":919,"T":"---","a":"---","b":"---","r":"---","SOHKg":"---","WNKg":"---","SOPKg":297,"BLKg":695}
		];


var F30K=[
			{"A":6,"B":"1/8","Dp":"---","D":"---","tBL":"---","t":"---","f":"---","g":"---","C":"---","h":"---","N":"---","do":"---","WNT":"---","T":"---","a":"---","b":"---","r":"---","SOHKg":"---","WNKg":"---","SOPKg":"---","BLKg":"---","aWN":"---","bWN":"---"},
			{"A":8,"B":"1/4","Dp":"---","D":"---","tBL":"---","t":"---","f":"---","g":"---","C":"---","h":"---","N":"---","do":"---","WNT":"111","T":"---","a":"---","b":"---","r":"---","SOHKg":"---","WNKg":"---","SOPKg":"---","BLKg":"---","aWN":"---","bWN":"---"},
			{"A":10,"B":"3/8","Dp":17.3,"D":110,"tBL":16,"t":16,"f":1,"g":52,"C":75,"h":19,"N":4,"do":17.8,"WNT":"---","T":24,"a":30,"b":34,"r":4,"SOHKg":1,"WNKg":"---","SOPKg":1,"BLKg":1,"aWN":"---","bWN":"---"},
			{"A":15,"B":"1/2","Dp":21.7,"D":115,"tBL":18,"t":18,"f":1,"g":55,"C":80,"h":19,"N":4,"do":22.2,"WNT":45,"T":26,"a":36,"b":40,"r":5,"SOHKg":1.24,"WNKg":1.33,"SOPKg":1.2,"BLKg":1.25,"aWN":21.7,"bWN":40},
			{"A":20,"B":"3/4","Dp":27.2,"D":120,"tBL":18,"t":18,"f":1,"g":60,"C":85,"h":19,"N":4,"do":27.7,"WNT":45,"T":28,"a":42,"b":46,"r":5,"SOHKg":1.36,"WNKg":1.45,"SOPKg":1.3,"BLKg":1.38,"aWN":27.2,"bWN":44},
			{"A":25,"B":1,"Dp":34,"D":130,"tBL":20,"t":20,"f":1,"g":70,"C":95,"h":19,"N":4,"do":34.5,"WNT":48,"T":30,"a":50,"b":54,"r":5,"SOHKg":1.77,"WNKg":1.92,"SOPKg":1.7,"BLKg":1.84,"aWN":34,"bWN":52},
			{"A":32,"B":"1 1/4","Dp":42.7,"D":140,"tBL":22,"t":22,"f":2,"g":80,"C":105,"h":19,"N":4,"do":43.2,"WNT":52,"T":32,"a":60,"b":64,"r":6,"SOHKg":2.17,"WNKg":2.39,"SOPKg":2.2,"BLKg":2.32,"aWN":42.7,"bWN":62},
			{"A":40,"B":"1 1/2","Dp":48.6,"D":160,"tBL":22,"t":22,"f":2,"g":90,"C":120,"h":23,"N":4,"do":49.1,"WNT":54,"T":34,"a":66,"b":70,"r":6,"SOHKg":2.82,"WNKg":3.09,"SOPKg":2.9,"BLKg":3,"aWN":48.6,"bWN":70},
			{"A":50,"B":2,"Dp":60.5,"D":165,"tBL":22,"t":22,"f":2,"g":105,"C":130,"h":19,"N":8,"do":61.1,"WNT":57,"T":36,"a":82,"b":86,"r":6,"SOHKg":2.89,"WNKg":3.24,"SOPKg":2.8,"BLKg":3.14,"aWN":60.5,"bWN":84},
			{"A":65,"B":"2 1/2","Dp":76.3,"D":200,"tBL":26,"t":26,"f":2,"g":130,"C":160,"h":23,"N":8,"do":77.1,"WNT":69,"T":40,"a":102,"b":106,"r":8,"SOHKg":4.88,"WNKg":5.7,"SOPKg":4.8,"BLKg":5.5,"aWN":76.3,"bWN":104},
			{"A":80,"B":3,"Dp":89.1,"D":210,"tBL":28,"t":28,"f":2,"g":140,"C":170,"h":23,"N":8,"do":90,"WNT":73,"T":44,"a":115,"b":121,"r":8,"SOHKg":5.7,"WNKg":6.72,"SOPKg":5.6,"BLKg":6.63,"aWN":89.1,"bWN":118},
			{"A":90,"B":"3 1/2","Dp":101.6,"D":230,"tBL":30,"t":30,"f":2,"g":150,"C":185,"h":25,"N":8,"do":102.6,"WNT":74,"T":46,"a":128,"b":134,"r":8,"SOHKg":7.13,"WNKg":8.32,"SOPKg":7,"BLKg":8.55,"aWN":101.6,"bWN":130},
			{"A":100,"B":4,"Dp":114.3,"D":240,"tBL":32,"t":32,"f":2,"g":160,"C":195,"h":25,"N":8,"do":115.4,"WNT":76,"T":48,"a":141,"b":147,"r":8,"SOHKg":8.01,"WNKg":9.41,"SOPKg":7.8,"BLKg":10,"aWN":114.3,"bWN":142},
			{"A":125,"B":5,"Dp":139.8,"D":275,"tBL":36,"t":36,"f":2,"g":195,"C":230,"h":25,"N":8,"do":141.2,"WNT":86,"T":54,"a":166,"b":172,"r":8,"SOHKg":11.6,"WNKg":14,"SOPKg":11.4,"BLKg":15.3,"aWN":139.8,"bWN":172},
			{"A":150,"B":6,"Dp":165.2,"D":325,"tBL":38,"t":38,"f":2,"g":235,"C":275,"h":27,"N":12,"do":166.6,"WNT":95,"T":58,"a":196,"b":204,"r":8,"SOHKg":17,"WNKg":20.3,"SOPKg":16.3,"BLKg":22.2,"aWN":165.2,"bWN":202},
			{"A":175,"B":7,"Dp":"---","D":"---","tBL":"---","t":"---","f":"---","g":"---","C":"---","h":"---","N":"---","do":"---","WNT":"---","T":"---","a":"---","b":"---","r":"---","SOHKg":"---","WNKg":"---","SOPKg":"---","BLKg":"---","aWN":"---","bWN":"---"},
			{"A":200,"B":8,"Dp":216.3,"D":370,"tBL":42,"t":42,"f":2,"g":280,"C":320,"h":27,"N":12,"do":218,"WNT":102,"T":64,"a":248,"b":256,"r":8,"SOHKg":22.2,"WNKg":27.2,"SOPKg":21.1,"BLKg":32.6,"aWN":216.3,"bWN":254},
			{"A":225,"B":9,"Dp":"---","D":"---","tBL":"---","t":"---","f":"---","g":"---","C":"---","h":"---","N":"---","do":"---","WNT":"---","T":"---","a":"---","b":"---","r":"---","SOHKg":"---","WNKg":"---","SOPKg":"---","BLKg":"---","aWN":"---","bWN":"---"},
			{"A":250,"B":10,"Dp":267.4,"D":450,"tBL":48,"t":48,"f":2,"g":345,"C":390,"h":33,"N":12,"do":269.5,"WNT":118,"T":72,"a":306,"b":314,"r":10,"SOHKg":36.8,"WNKg":45.3,"SOPKg":35,"BLKg":55.2,"aWN":267.4,"bWN":312},
			{"A":300,"B":12,"Dp":318.5,"D":515,"tBL":52,"t":52,"f":3,"g":405,"C":450,"h":33,"N":16,"do":321,"WNT":127,"T":78,"a":360,"b":370,"r":10,"SOHKg":49.1,"WNKg":61,"SOPKg":47,"BLKg":77.9,"aWN":318.5,"bWN":366},
			{"A":350,"B":14,"Dp":355.6,"D":560,"tBL":54,"t":54,"f":3,"g":450,"C":495,"h":33,"N":16,"do":358.1,"WNT":134,"T":84,"a":402,"b":412,"r":12,"SOHKg":60.4,"WNKg":74.6,"SOPKg":56.6,"BLKg":96.9,"aWN":355.6,"bWN":406},
			{"A":400,"B":16,"Dp":406.4,"D":630,"tBL":60,"t":60,"f":3,"g":510,"C":560,"h":39,"N":16,"do":409,"WNT":149,"T":92,"a":456,"b":468,"r":15,"SOHKg":82,"WNKg":103,"SOPKg":76.9,"BLKg":136,"aWN":406.4,"bWN":462}
		];

var F40K=[
			{"A":6,"B":"1/8","Dp":"---","D":"---","tBL":"---","t":"---","f":"---","g":"---","C":"---","N":"---","h":"---","do":"---","T":"---","a":"---","b":"---","r":"---","BLKg":"---","WNKg":"---"},
			{"A":8,"B":"1/4","Dp":"---","D":"---","tBL":"---","t":"---","f":"---","g":"---","C":"---","N":"---","h":"---","do":"---","T":"---","a":"---","b":"---","r":"---","BLKg":"---","WNKg":"---"},
			{"A":10,"B":"3/8","Dp":"---","D":"---","tBL":"---","t":"---","f":"---","g":"---","C":"---","N":"---","h":"---","do":"---","T":"---","a":"---","b":"---","r":"---","BLKg":"---","WNKg":"---"},
			{"A":15,"B":"1/2","Dp":21.7,"D":115,"tBL":20,"t":20,"f":1,"g":55,"C":80,"N":4,"h":19,"do":"---","T":48,"a":21.7,"b":40,"r":6,"BLKg":1.4,"WNKg":1.5},
			{"A":20,"B":"3/4","Dp":27.2,"D":120,"tBL":20,"t":20,"f":1,"g":60,"C":85,"N":4,"h":19,"do":"---","T":48,"a":27.2,"b":45,"r":6,"BLKg":1.6,"WNKg":1.7},
			{"A":25,"B":"1","Dp":34,"D":130,"tBL":22,"t":22,"f":1,"g":70,"C":95,"N":4,"h":19,"do":"---","T":53,"a":34,"b":54,"r":6,"BLKg":2.1,"WNKg":2.2},
			{"A":32,"B":"1 1/4","Dp":42.7,"D":140,"tBL":24,"t":24,"f":2,"g":80,"C":105,"N":4,"h":19,"do":"---","T":54,"a":42.7,"b":62,"r":6,"BLKg":2.7,"WNKg":2.8},
			{"A":40,"B":"1 1/2","Dp":48.6,"D":160,"tBL":24,"t":24,"f":2,"g":90,"C":120,"N":4,"h":23,"do":"---","T":59,"a":48.6,"b":72,"r":6,"BLKg":3.5,"WNKg":3.5},
			{"A":50,"B":"2","Dp":60.5,"D":165,"tBL":26,"t":26,"f":2,"g":105,"C":130,"N":8,"h":19,"do":"---","T":65,"a":60.5,"b":87,"r":8,"BLKg":3.9,"WNKg":4.1},
			{"A":65,"B":"2 1/2","Dp":76.3,"D":200,"tBL":30,"t":30,"f":2,"g":130,"C":160,"N":8,"h":23,"do":"---","T":78,"a":76.3,"b":108,"r":8,"BLKg":6.6,"WNKg":6.9},
			{"A":80,"B":"3","Dp":89.1,"D":210,"tBL":32,"t":32,"f":2,"g":140,"C":170,"N":8,"h":23,"do":"---","T":78,"a":89.1,"b":119,"r":8,"BLKg":8,"WNKg":7.9},
			{"A":90,"B":"3 1/2","Dp":101.6,"D":230,"tBL":34,"t":34,"f":2,"g":150,"C":185,"N":8,"h":25,"do":"---","T":79,"a":101.6,"b":130,"r":8,"BLKg":10.1,"WNKg":9.4},
			{"A":100,"B":"4","Dp":114.3,"D":250,"tBL":36,"t":36,"f":2,"g":165,"C":205,"N":8,"h":25,"do":"---","T":85,"a":114.3,"b":146,"r":10,"BLKg":12.9,"WNKg":12.3},
			{"A":125,"B":"5","Dp":139.8,"D":300,"tBL":40,"t":40,"f":2,"g":200,"C":250,"N":8,"h":27,"do":"---","T":108,"a":139.8,"b":186,"r":12,"BLKg":20.8,"WNKg":20},
			{"A":150,"B":"6","Dp":165.2,"D":355,"tBL":44,"t":44,"f":2,"g":240,"C":295,"N":12,"h":33,"do":"---","T":117,"a":165.2,"b":215,"r":15,"BLKg":30.8,"WNKg":30.6},
			{"A":175,"B":"7","Dp":"---","D":"---","tBL":"---","t":"---","f":"---","g":"---","C":"---","N":"---","h":"---","do":"---","T":"---","a":"---","b":"---","r":"---","BLKg":"---","WNKg":"---"},
			{"A":200,"B":"8","Dp":216.3,"D":405,"tBL":50,"t":50,"f":2,"g":290,"C":345,"N":12,"h":33,"do":"---","T":130,"a":216.3,"b":270,"r":15,"BLKg":46.8,"WNKg":41.6},
			{"A":225,"B":"9","Dp":"---","D":"---","tBL":"---","t":"---","f":"---","g":"---","C":"---","N":"---","h":"---","do":"---","T":"---","a":"---","b":"---","r":"---","BLKg":"---","WNKg":"---"},
			{"A":250,"B":"10","Dp":267.4,"D":475,"tBL":56,"t":56,"f":2,"g":355,"C":410,"N":12,"h":33,"do":"---","T":152,"a":267.4,"b":333,"r":15,"BLKg":73.8,"WNKg":68.1},
			{"A":300,"B":"12","Dp":318.5,"D":540,"tBL":60,"t":60,"f":3,"g":410,"C":470,"N":16,"h":39,"do":"---","T":153,"a":318.5,"b":380,"r":20,"BLKg":99.4,"WNKg":96},
			{"A":350,"B":"14","Dp":355.6,"D":585,"tBL":64,"t":64,"f":3,"g":455,"C":515,"N":16,"h":39,"do":"---","T":168,"a":355.6,"b":425,"r":20,"BLKg":126.1,"WNKg":115},
			{"A":400,"B":"16","Dp":406.4,"D":645,"tBL":70,"t":70,"f":3,"g":515,"C":570,"N":16,"h":39,"do":"---","T":168,"a":406.4,"b":466,"r":20,"BLKg":170,"WNKg":143}
		];


var F63K=[
			{"A":6,"B":"1/8","Dp":"---","D":"---","tBL":"---","t":"---","f":"---","g":"---","C":"---","h":"---","N":"---","do":"---","T":"---","a":"---","b":"---","r":"---","BLKg":"---","WNKg":"---"},
			{"A":8,"B":"1/4","Dp":"---","D":"---","tBL":"---","t":"---","f":"---","g":"---","C":"---","h":"---","N":"---","do":"---","T":"---","a":"---","b":"---","r":"---","BLKg":"---","WNKg":"---"},
			{"A":10,"B":"3/8","Dp":"---","D":"---","tBL":"---","t":"---","f":"---","g":"---","C":"---","h":"---","N":"---","do":"---","T":"---","a":"---","b":"---","r":"---","BLKg":"---","WNKg":"---"},
			{"A":15,"B":"1/2","Dp":21.7,"D":120,"tBL":23,"t":23,"f":1,"g":55,"C":85,"h":19,"N":4,"do":"---","T":57,"a":21.7,"b":42,"r":6,"BLKg":1.9,"WNKg":1.9},
			{"A":20,"B":"3/4","Dp":27.2,"D":135,"tBL":25,"t":25,"f":1,"g":60,"C":95,"h":23,"N":4,"do":"---","T":57,"a":27.2,"b":46,"r":6,"BLKg":2.5,"WNKg":2.5},
			{"A":25,"B":"1","Dp":34,"D":140,"tBL":27,"t":27,"f":1,"g":70,"C":100,"h":23,"N":4,"do":"---","T":61,"a":34,"b":55,"r":6,"BLKg":2.9,"WNKg":3.5},
			{"A":32,"B":"1 1/4","Dp":42.7,"D":150,"tBL":30,"t":30,"f":2,"g":80,"C":110,"h":23,"N":4,"do":"---","T":61,"a":42.7,"b":60,"r":6,"BLKg":3.8,"WNKg":3.7},
			{"A":40,"B":"1 1/2","Dp":48.6,"D":175,"tBL":32,"t":32,"f":2,"g":90,"C":130,"h":25,"N":4,"do":"---","T":73,"a":48.6,"b":75,"r":6,"BLKg":5.6,"WNKg":5.5},
			{"A":50,"B":"2","Dp":60.5,"D":185,"tBL":34,"t":34,"f":2,"g":105,"C":145,"h":23,"N":8,"do":"---","T":82,"a":60.5,"b":92,"r":8,"BLKg":6.3,"WNKg":6.5},
			{"A":65,"B":"2 1/2","Dp":76.3,"D":220,"tBL":38,"t":38,"f":2,"g":130,"C":175,"h":25,"N":8,"do":"---","T":101,"a":76.3,"b":118,"r":8,"BLKg":7.2,"WNKg":10.3},
			{"A":80,"B":"3","Dp":89.1,"D":230,"tBL":40,"t":40,"f":2,"g":140,"C":185,"h":25,"N":8,"do":"---","T":103,"a":89.1,"b":130,"r":8,"BLKg":11.9,"WNKg":12.4},
			{"A":90,"B":"3 1/2","Dp":101.6,"D":255,"tBL":42,"t":42,"f":2,"g":150,"C":205,"h":27,"N":8,"do":"---","T":103,"a":101.6,"b":140,"r":8,"BLKg":15.4,"WNKg":15.2},
			{"A":100,"B":"4","Dp":114.3,"D":270,"tBL":44,"t":44,"f":2,"g":165,"C":220,"h":27,"N":8,"do":"---","T":107,"a":114.3,"b":154,"r":8,"BLKg":18.3,"WNKg":17.7},
			{"A":125,"B":"5","Dp":139.8,"D":325,"tBL":50,"t":50,"f":2,"g":200,"C":265,"h":33,"N":8,"do":"---","T":127,"a":139.8,"b":190,"r":10,"BLKg":30,"WNKg":27.6},
			{"A":150,"B":"6","Dp":165.2,"D":365,"tBL":54,"t":54,"f":2,"g":240,"C":305,"h":33,"N":12,"do":"---","T":152,"a":165.2,"b":230,"r":10,"BLKg":40.2,"WNKg":39.4},
			{"A":175,"B":"7","Dp":"---","D":"---","tBL":"---","t":"---","f":"---","g":"---","C":"---","h":"---","N":"---","do":"---","T":"---","a":"---","b":"---","r":"---","BLKg":"---","WNKg":"---"},
			{"A":200,"B":"8","Dp":216.3,"D":425,"tBL":60,"t":60,"f":2,"g":290,"C":360,"h":33,"N":12,"do":"---","T":159,"a":216.3,"b":280,"r":10,"BLKg":62.3,"WNKg":60.1},
			{"A":225,"B":"9","Dp":"---","D":"---","tBL":"---","t":"---","f":"---","g":"---","C":"---","h":"---","N":"---","do":"---","T":"---","a":"---","b":"---","r":"---","BLKg":"---","WNKg":"---"},
			{"A":250,"B":"10","Dp":267.4,"D":500,"tBL":68,"t":68,"f":2,"g":355,"C":430,"h":39,"N":12,"do":"---","T":189,"a":267.4,"b":346,"r":12,"BLKg":97.7,"WNKg":114},
			{"A":300,"B":"12","Dp":318.5,"D":560,"tBL":77,"t":77,"f":3,"g":410,"C":485,"h":39,"N":16,"do":"---","T":199,"a":318.5,"b":395,"r":15,"BLKg":138.1,"WNKg":154},
			{"A":350,"B":"14","Dp":355.6,"D":615,"tBL":81,"t":81,"f":3,"g":455,"C":530,"h":45,"N":16,"do":"---","T":202,"a":355.6,"b":429,"r":15,"BLKg":172.9,"WNKg":191},
			{"A":400,"B":"16","Dp":406.4,"D":680,"tBL":89,"t":89,"f":3,"g":515,"C":590,"h":45,"N":16,"do":"---","T":212,"a":406.9,"b":479,"r":20,"BLKg":236.5,"WNKg":247}
		];

var LJOINT=[
            {"A":"6A","B":"1/8","OD":"---","T5S":"---","T10S":"---","T20S":"---","T40S":"---","F":"---","G5K":"---","G10K":"---","G16K":"---","G20K":"---","R1":"---","R2":"---"},
            {"A":"8A","B":"1/4","OD":"---","T5S":"---","T10S":"---","T20S":"---","T40S":"---","F":"---","G5K":"---","G10K":"---","G16K":"---","G20K":"---","R1":"---","R2":"---"},
            {"A":"10A","B":"3/8","OD":"---","T5S":"---","T10S":"---","T20S":"---","T40S":"---","F":"---","G5K":"---","G10K":"---","G16K":"---","G20K":"---","R1":"---","R2":"---"},
            {"A":"15A","B":"1/2","OD":"21.7","T5S":"1.65","T10S":"2.1","T20S":"2.5","T40S":"2.8","F":"30","G5K":"44","G10K":"51","G16K":"51","G20K":"51","R1":"3","R2":"1.5"},
            {"A":"20A","B":"3/4","OD":"27.2","T5S":"1.65","T10S":"2.1","T20S":"2.5","T40S":"2.9","F":"30","G5K":"49","G10K":"56","G16K":"56","G20K":"56","R1":"3","R2":"1.5"},
            {"A":"25A","B":"1","OD":"34","T5S":"1.65","T10S":"2.8","T20S":"3","T40S":"3.4","F":"50","G5K":"59","G10K":"67","G16K":"67","G20K":"67","R1":"3","R2":"1.5"},
            {"A":"32A","B":"1 1/4","OD":"42.7","T5S":"1.65","T10S":"2.8","T20S":"3","T40S":"3.6","F":"50","G5K":"70","G10K":"76","G16K":"76","G20K":"76","R1":"4","R2":"2"},
            {"A":"40A","B":"1 1/2","OD":"48.6","T5S":"1.65","T10S":"2.8","T20S":"3","T40S":"3.7","F":"50","G5K":"75","G10K":"81","G16K":"81","G20K":"81","R1":"4","R2":"2"},
            {"A":"50A","B":"2","OD":"60.5","T5S":"1.65","T10S":"2.8","T20S":"3.5","T40S":"3.9","F":"50","G5K":"85","G10K":"96","G16K":"96","G20K":"96","R1":"4","R2":"2"},
            {"A":"65A","B":"2 1/2","OD":"76.3","T5S":"2.1","T10S":"3","T20S":"3.5","T40S":"5.2","F":"50","G5K":"110","G10K":"116","G16K":"116","G20K":"116","R1":"5","R2":"2.5"},
            {"A":"80A","B":"3","OD":"89.1","T5S":"2.1","T10S":"3","T20S":"4","T40S":"5.5","F":"50","G5K":"121","G10K":"126","G16K":"132","G20K":"132","R1":"5","R2":"2.5"},
            {"A":"(90A)","B":"3 1/3","OD":"101.6","T5S":"2.1","T10S":"3","T20S":"4","T40S":"5.7","F":"50","G5K":"131","G10K":"136","G16K":"145","G20K":"145","R1":"5","R2":"2.5"},
            {"A":"100A","B":"4","OD":"114.3","T5S":"2.1","T10S":"3","T20S":"4","T40S":"6","F":"50","G5K":"141","G10K":"151","G16K":"160","G20K":"160","R1":"5","R2":"2.5"},
            {"A":"125A","B":"5","OD":"139.8","T5S":"2.8","T10S":"3.4","T20S":"5","T40S":"6.6","F":"50","G5K":"176","G10K":"182","G16K":"195","G20K":"195","R1":"6","R2":"3"},
            {"A":"150A","B":"6","OD":"165.2","T5S":"2.8","T10S":"3.4","T20S":"5","T40S":"7.1","F":"50","G5K":"206","G10K":"212","G16K":"230","G20K":"230","R1":"6","R2":"3"},
            {"A":"(175A)","B":"7","OD":"---","T5S":"---","T10S":"---","T20S":"---","T40S":"---","F":"---","G5K":"---","G10K":"---","G16K":"","G20K":"","R1":"---","R2":"---"},
            {"A":"200A","B":"8","OD":"216.3","T5S":"2.8","T10S":"4","T20S":"6.5","T40S":"8.2","F":"65","G5K":"252","G10K":"262","G16K":"275","G20K":"275","R1":"6","R2":"3"},
            {"A":"(225A)","B":"9","OD":"---","T5S":"---","T10S":"---","T20S":"---","T40S":"---","F":"---","G5K":"---","G10K":"---","G16K":"---","G20K":"---","R1":"---","R2":"---"},
            {"A":"250A","B":"10","OD":"267.4","T5S":"3.4","T10S":"4","T20S":"6.5","T40S":"9.3","F":"65","G5K":"317","G10K":"324","G16K":"345","G20K":"345","R1":"6","R2":"3"},
            {"A":"300A","B":"12","OD":"318.5","T5S":"4","T10S":"4.5","T20S":"6.5","T40S":"10.3","F":"65","G5K":"360","G10K":"368","G16K":"395","G20K":"395","R1":"9","R2":"3"},
            {"A":"350A","B":"14","OD":"355.6","T5S":"4","T10S":"5","T20S":"8","T40S":"11.1","F":"75","G5K":"403","G10K":"413","G16K":"440","G20K":"440","R1":"9","R2":"3"},
            {"A":"400A","B":"16","OD":"406.4","T5S":"4.2","T10S":"5","T20S":"8","T40S":"12.7","F":"75","G5K":"463","G10K":"475","G16K":"495","G20K":"495","R1":"9","R2":"3"},
            {"A":"450A","B":"18","OD":"457.2","T5S":"4.5","T10S":"5.5","T20S":"8","T40S":"14.3","F":"75","G5K":"523","G10K":"530","G16K":"560","G20K":"560","R1":"9","R2":"3"},
            {"A":"500A","B":"20","OD":"508","T5S":"5","T10S":"5.5","T20S":"9.5","T40S":"15.1","F":"75","G5K":"573","G10K":"585","G16K":"615","G20K":"615","R1":"9","R2":"3"},
            {"A":"550A","B":"22","OD":"558.8","T5S":"5","T10S":"5.5","T20S":"9.5","T40S":"15.9","F":"75","G5K":"630","G10K":"640","G16K":"670","G20K":"670","R1":"9","R2":"3"},
            {"A":"600A","B":"24","OD":"609.6","T5S":"5","T10S":"6.5","T20S":"9.5","T40S":"17.5","F":"75","G5K":"680","G10K":"690","G16K":"720","G20K":"720","R1":"9","R2":"3"},
            {"A":"650A","B":"26","OD":"---","T5S":"---","T10S":"---","T20S":"---","T40S":"---","F":"---","G5K":"---","G10K":"---","G16K":"---","G20K":"---","R1":"---","R2":"---"},
            {"A":"700A","B":"28","OD":"---","T5S":"---","T10S":"---","T20S":"---","T40S":"---","F":"---","G5K":"---","G10K":"---","G16K":"---","G20K":"---","R1":"---","R2":"---"},
            {"A":"750A","B":"30","OD":"---","T5S":"---","T10S":"---","T20S":"---","T40S":"---","F":"---","G5K":"---","G10K":"---","G16K":"---","G20K":"---","R1":"---","R2":"---"},
            {"A":"800A","B":"32","OD":"---","T5S":"---","T10S":"---","T20S":"---","T40S":"---","F":"---","G5K":"---","G10K":"---","G16K":"---","G20K":"---","R1":"---","R2":"---"},
            {"A":"850A","B":"34","OD":"---","T5S":"---","T10S":"---","T20S":"---","T40S":"---","F":"---","G5K":"---","G10K":"---","G16K":"---","G20K":"---","R1":"---","R2":"---"},
            {"A":"900A","B":"36","OD":"---","T5S":"---","T10S":"---","T20S":"---","T40S":"---","F":"---","G5K":"---","G10K":"---","G16K":"---","G20K":"---","R1":"---","R2":"---"},
            {"A":"1000A","B":"40","OD":"---","T5S":"---","T10S":"---","T20S":"---","T40S":"---","F":"---","G5K":"---","G10K":"---","G16K":"---","G20K":"---","R1":"---","R2":"---"},
            {"A":"1100A","B":"44","OD":"---","T5S":"---","T10S":"---","T20S":"---","T40S":"---","F":"---","G5K":"---","G10K":"---","G16K":"---","G20K":"---","R1":"---","R2":"---"},
            {"A":"1200A","B":"48","OD":"---","T5S":"---","T10S":"---","T20S":"---","T40S":"---","F":"---","G5K":"---","G10K":"---","G16K":"---","G20K":"---","R1":"---","R2":"---"},
            {"A":"1350A","B":"54","OD":"---","T5S":"---","T10S":"---","T20S":"---","T40S":"---","F":"---","G5K":"---","G10K":"---","G16K":"---","G20K":"---","R1":"---","R2":"---"},
            {"A":"1500A","B":"60","OD":"---","T5S":"---","T10S":"---","T20S":"---","T40S":"---","F":"---","G5K":"---","G10K":"---","G16K":"---","G20K":"---","R1":"---","R2":"---"}
		];
	
	
	function yobikeiUpF(y_id,flg){      //上矢印イベント
		pUp(y_id);
		if(flg) {	updateform4(y_id);	}
		cssAnimeU(y_id);		
	}	
	function yobikeiDownF(y_id){     //下矢印イベント
		pDown(y_id);
			updateform4(y_id);
			cssAnimeD(y_id);
	}
    function showlistF(y_id){     //直接選択ダイアログ
        droiddialogList("呼び径",yobikeiL);
		//var sizepoint = droid.dialogList("呼び径",yobikeiL);
		//var pointerget = sizepoint.split(":");
		//var pget = parseInt(pointerget[1]);
        //pointer = --pget;
		//yobikeiUpF(y_id,true);		
	}
//BG 
    function BGshowType(){              //直接選択ダイアログ
            // 5K,10K
            if (aclasspointer == 0 | aclasspointer == 1 ){
                var typeget = droid.dialogList("TYPE",["SOH-FF　　　          :0","SOP-FF　　　             :1","LJ　　　　　             :2","BL-FF　　　　             :3"]);
                var pointerget = typeget.split(":");
                var pget = parseInt(pointerget[1]);
                typeFpointersub = pget;
                updateform4();
            }
            // 16K,20K
            else if (aclasspointer == 2 | aclasspointer == 3 ){
                var typeget = droid.dialogList("TYPE",["規格外　　　　            :0","SOH-FF　　　             :1","LJ　　　　　             :2","BL-FF　　　　             :3"]);
                var pointerget = typeget.split(":");
                var pget = parseInt(pointerget[1]);
                typeFpointersub = pget;
                updateform4();
            }
            else FCATUp();
    }
    //BG
    function BGshowatu(){        //直接選択ダイアログ
        //var aclassdata = ["5K:0","10K:1","16K:2","20K:3","30K:4","40K:5","63K:6"];
        var sizepoint = droid.dialogList("圧力クラス",aclassdata);
        var pointerget = sizepoint.split(":");
        var pget = parseInt(pointerget[1]);
        aclasspointer = pget;
        updateform4();
    }

	function updateform4(){   		                //フォームの再表示　
			pointer=--pointer;
			yobikeiUpF(yobiparaF,false);
			cssAnimeR(yobiparaF);
			classDispF();
			BLflag =false;
			//var typedataF = ["SOH-FF:0","SOP-FF:1","BL-FF:2","SOH-RF:3","SOP-RF:4","BL-RF:5","WN:6","WN:7","LJ:8"];//WN:7 for 30KWN
			//var aclassdata = ["5K:0","10K:1","16K:2","20K:3","30K:4","40K:5","63K:6"]
			switch(aclasspointer){
					case 0:	{
						//5Kdisp(typeFpointersub)
						
						//alert(typedata5K[typeFpointersub ]);
						if(typeFpointersub>typedata5K.length-1) typeFpointersub=typedata5K.length-1;
								var obj = document.getElementById(typeparaF[1]);
								obj.innerHTML = splitword(typedata5K[invpointer(typeFpointersub,typedata5K.length)]);
								var obj = document.getElementById(typeparaF[2]);
								obj.innerHTML = splitword(typedata5K[typeFpointersub ]);
								var obj = document.getElementById(typeparaF[3]);
								obj.innerHTML = splitword(typedata5K[envpointer(typeFpointersub,typedata5K.length)]);
								var pointerget = typedata5K[typeFpointersub].split(":");
								typeFpointer = parseInt(pointerget[1]);
					
						}
					break;
					case 1:	{      //10K
                        if(typeFpointersub>typedata10K.length-1) typeFpointersub=typedata10K.length-1;
								var obj = document.getElementById(typeparaF[1]);
								obj.innerHTML = splitword(typedata10K[invpointer(typeFpointersub,typedata10K.length)]);
								var obj = document.getElementById(typeparaF[2]);
								obj.innerHTML = splitword(typedata10K[typeFpointersub ]);
								var obj = document.getElementById(typeparaF[3]);
								obj.innerHTML = splitword(typedata10K[envpointer(typeFpointersub,typedata10K.length)]);
								var pointerget = typedata10K[typeFpointersub].split(":");
								typeFpointer = parseInt(pointerget[1]);
					
						
					}
					break;
					case 2:	{      //16k
                        if(typeFpointersub>typedata16K.length-1) typeFpointersub=typedata16K.length-1;
								var obj = document.getElementById(typeparaF[1]);
								obj.innerHTML = splitword(typedata16K[invpointer(typeFpointersub,typedata16K.length)]);
								var obj = document.getElementById(typeparaF[2]);
								obj.innerHTML = splitword(typedata16K[typeFpointersub ]);
								var obj = document.getElementById(typeparaF[3]);
								obj.innerHTML = splitword(typedata16K[envpointer(typeFpointersub,typedata16K.length)]);
								var pointerget = typedata16K[typeFpointersub].split(":");
								typeFpointer = parseInt(pointerget[1]);
					
						
					}
					break;
					case 3:	{      //20K
                        if(typeFpointersub>typedata20K.length-1) typeFpointersub=typedata20K.length-1;
								var obj = document.getElementById(typeparaF[1]);
								obj.innerHTML = splitword(typedata20K[invpointer(typeFpointersub,typedata20K.length)]);
								var obj = document.getElementById(typeparaF[2]);
								obj.innerHTML = splitword(typedata20K[typeFpointersub ]);
								var obj = document.getElementById(typeparaF[3]);
								obj.innerHTML = splitword(typedata20K[envpointer(typeFpointersub,typedata20K.length)]);
								var pointerget = typedata20K[typeFpointersub].split(":");
								typeFpointer = parseInt(pointerget[1]);
					
						
					}
					break;
					case 4:	{      //30K
                        if(typeFpointersub>typedata30K.length-1) typeFpointersub=typedata30K.length-1;
								var obj = document.getElementById(typeparaF[1]);
								obj.innerHTML = splitword(typedata30K[invpointer(typeFpointersub,typedata30K.length)]);
								var obj = document.getElementById(typeparaF[2]);
								obj.innerHTML = splitword(typedata30K[typeFpointersub ]);
								var obj = document.getElementById(typeparaF[3]);
								obj.innerHTML = splitword(typedata30K[envpointer(typeFpointersub,typedata30K.length)]);
								var pointerget = typedata30K[typeFpointersub].split(":");
								typeFpointer = parseInt(pointerget[1]);
					
						
					}
					break;
					case 5:	{      //40K
                        if(typeFpointersub>typedata40K.length-1) typeFpointersub=typedata40K.length-1;
								var obj = document.getElementById(typeparaF[1]);
								obj.innerHTML = splitword(typedata40K[invpointer(typeFpointersub,typedata40K.length)]);
								var obj = document.getElementById(typeparaF[2]);
								obj.innerHTML = splitword(typedata40K[typeFpointersub ]);
								var obj = document.getElementById(typeparaF[3]);
								obj.innerHTML = splitword(typedata40K[envpointer(typeFpointersub,typedata40K.length)]);
								var pointerget = typedata40K[typeFpointersub].split(":");
								typeFpointer = parseInt(pointerget[1]);
					
						
					}
					break;
					case 6:	{      //63K
                        if(typeFpointersub>typedata63K.length-1) typeFpointersub=typedata63K.length-1;
								var obj = document.getElementById(typeparaF[1]);
								obj.innerHTML = splitword(typedata63K[invpointer(typeFpointersub,typedata63K.length)]);
								var obj = document.getElementById(typeparaF[2]);
								obj.innerHTML = splitword(typedata63K[typeFpointersub ]);
								var obj = document.getElementById(typeparaF[3]);
								obj.innerHTML = splitword(typedata63K[envpointer(typeFpointersub,typedata63K.length)]);
								var pointerget = typedata63K[typeFpointersub].split(":");
								typeFpointer = parseInt(pointerget[1]);
					
						
					}
					break;
					default:
				}

			FCATDisp();
			FKdisp(aclasspointer);
			switch(typeFpointer){
					case 0:	SOHFFdisp()
					break;
					case 1:	SOPFFdisp()
					break;
					case 2:	{BLFFdisp();
							BLflag =true;
							}
					break;
					case 3:	SOHRFdisp()
					break;
					case 4:	SOPRFdisp()
					break;
					case 5:	{BLRFdisp()
							BLflag =true;
							}
					break;
					case 6:	WNdisp()
					break;
					case 7:	WN30Kdisp()
					break;
                    case 8: LJdisp()
                    break;

					default:{FcntClr()
							BLflag =false;
							}
				}
		}
	
	function FcntClr(){
	        document.getElementById("Sch").style.visibility = "hidden";
	        document.getElementById("Snj").style.visibility = "visible";
			var obj = document.getElementById("Ftitle");
			obj.innerHTML = "---";
			var obj = document.getElementById("FaiD");
			obj.innerHTML = "---";
			var obj = document.getElementById("FaiC");
			obj.innerHTML = "---";
			document.getElementById("Faih").style.visibility = "visible";
			var obj = document.getElementById("Faih");
			obj.innerHTML = "---";
			document.getElementById("FaiN").style.visibility = "visible";
			var obj = document.getElementById("FaiN");
			obj.innerHTML = "---";
			document.getElementById("Fait").style.visibility = "visible";
			var obj = document.getElementById("Fait");
			obj.innerHTML = "---";
			var obj = document.getElementById("Faido");
			obj.innerHTML = "---";
			var obj = document.getElementById("Faia");
			obj.innerHTML = "---";
			var obj = document.getElementById("Faib");
			obj.innerHTML = "---";
			var obj = document.getElementById("FaiT");
			obj.innerHTML = "---";
			var obj = document.getElementById("Faig");
			obj.innerHTML = "---";
			var obj = document.getElementById("Faif");
			obj.innerHTML = "---";
            var obj = document.getElementById("FaiLR");
            obj.innerHTML = "";
            var obj = document.getElementById("FaiLOD");
            obj.innerHTML = "";
            var obj = document.getElementById("FaiLF");
            obj.innerHTML = "";
            var obj = document.getElementById("FaiLT");
            obj.innerHTML = "";
            var obj = document.getElementById("FaiLT2");
            obj.innerHTML = "";
            var obj = document.getElementById("FaiLG");
            obj.innerHTML = "";
			var obj = document.getElementById("FKg");
			obj.innerHTML = "";
            var obj = document.getElementById("Snj");
            obj.innerHTML = "参考重量(SS)";
            LOD="" ;
            LF="" ;
            LG=["","","","",""];
            LT=["","","","",""];
            LR1=0;
            LR2=0;
	}
	
	function FKdisp(db){
		var Dsize=pointer;
		var DBname=DBlist[db];
		FcntClr();
			var obj = document.getElementById("FaiD");
			obj.innerHTML = eval(DBname)[Dsize]["D"];
			var obj = document.getElementById("FaiC");
			obj.innerHTML = eval(DBname)[Dsize]["C"];
			var obj = document.getElementById("Faih");
			obj.innerHTML = eval(DBname)[Dsize]["h"];
			var obj = document.getElementById("FaiN");
			obj.innerHTML = eval(DBname)[Dsize]["N"]+"-";
			var obj = document.getElementById("Fait");
			obj.innerHTML = eval(DBname)[Dsize]["t"];
			tSOg = eval(DBname)[Dsize]["t"];
			
			var obj = document.getElementById("Faido");
			obj.innerHTML = eval(DBname)[Dsize]["do"];
			var obj = document.getElementById("Faia");
			obj.innerHTML = eval(DBname)[Dsize]["a"];
			var obj = document.getElementById("Faib");
			obj.innerHTML = eval(DBname)[Dsize]["b"];
			var obj = document.getElementById("FaiT");
			obj.innerHTML = eval(DBname)[Dsize]["T"];
			var obj = document.getElementById("Faig");
			obj.innerHTML = eval(DBname)[Dsize]["g"];
			var obj = document.getElementById("Faif");
			obj.innerHTML = eval(DBname)[Dsize]["f"];
			tBLg = eval(DBname)[Dsize]["tBL"];

			sOPKg =eval(DBname)[Dsize]["SOPKg"];
			wNKg =eval(DBname)[Dsize]["WNKg"];
			sOHKg =eval(DBname)[Dsize]["SOHKg"];
			bLKg =eval(DBname)[Dsize]["BLKg"];
			
			
            if(LJOINT[Dsize]["OD"]) LOD = LJOINT[Dsize]["OD"];
            if(LJOINT[Dsize]["F"])  LF  = LJOINT[Dsize]["F"];
            if(LJOINT[Dsize]["T5S"])  LT[0]  = LJOINT[Dsize]["T5S"]     +" 　／<span class='mojisizeLJ'>Sch5S</span>";
            if(LJOINT[Dsize]["T10S"]) LT[1]  = LJOINT[Dsize]["T10S"]    +" 　／<span class='mojisizeLJ'>Sch10S</span>";
            if(LJOINT[Dsize]["T20S"]) LT[2]  = LJOINT[Dsize]["T20S"]    +" 　／<span class='mojisizeLJ'>Sch20S</span>";
            if(LJOINT[Dsize]["T40S"])  LT[3]  = LJOINT[Dsize]["T40S"]   +" 　／<span class='mojisizeLJ'>Sch40</span>";
            if(LJOINT[Dsize]["G5K"])  LG[0]  = LJOINT[Dsize]["G5K"]     +" 　／<span class='mojisizeLJ'>5K</span>";
            if(LJOINT[Dsize]["G10K"]) LG[1]  = LJOINT[Dsize]["G10K"]    +" 　／<span class='mojisizeLJ'>10K</span>";
            if(LJOINT[Dsize]["G16K"]) LG[2]  = LJOINT[Dsize]["G16K"]    +" 　／<span class='mojisizeLJ'>16K</span>";
            if(LJOINT[Dsize]["G20K"]) LG[3]  = LJOINT[Dsize]["G20K"]    +" 　／<span class='mojisizeLJ'>20K</span>";
            if(LJOINT[Dsize]["R1"]) LR1  = LJOINT[Dsize]["R1"] + " ~ " + LJOINT[Dsize]["R2"];
	}

	function titledisp(tstrings){
			var obj = document.getElementById("Ftitle");
			obj.innerHTML = tstrings;
	}
	
	function classUpF(){
		aclasspointer ++;
		if (aclasspointer >= aclassdata.length) {aclasspointer = 0;}
			updateform4();
			//classDispF();
	}
	
	function classDownF(){
		aclasspointer--;
		if (aclasspointer <= -1) {aclasspointer = aclassdata.length-1;}
			updateform4();
			//classDispF();
	}
	
	function classDispF(){
		var obj = document.getElementById(aclassF[1]);
		obj.innerHTML = splitword(aclassdata[invpointer(aclasspointer,aclassdata.length)]);
		var obj = document.getElementById(aclassF[2]);
		obj.innerHTML = splitword(aclassdata[aclasspointer]);
		var obj = document.getElementById(aclassF[3]);
		obj.innerHTML = splitword(aclassdata[envpointer(aclasspointer,aclassdata.length)]);
	}
	function FCATUp(){
	    var i;
	    switch(aclasspointer){
                    case 0: i=4
                    break;
                    case 1: i=4
                    break;
                    case 2: i=4
                    break;
                    case 3: i=4
                    break;
                    case 4: i=3
                    break;
                    case 5: i=3
                    break;
                    case 6: i=2
                    break;
                    case 7: i=2
                    break;
                    default:i=3
                }

		typeFpointersub ++;
		if (typeFpointersub >= i ) {typeFpointersub = 0;} //i=typedata5K.length
			updateform4();
			//FCATDisp();
	}
	
	function FCATDown(){
        var i;
        switch(aclasspointer){
                    case 0: i=4
                    break;
                    case 1: i=4
                    break;
                    case 2: i=4
                    break;
                    case 3: i=4
                    break;
                    case 4: i=3
                    break;
                    case 5: i=3
                    break;
                    case 6: i=2
                    break;
                    case 7: i=2
                    break;
                    default:i=3
                }

		typeFpointersub--;
		if (typeFpointersub <= -1) {typeFpointersub = i-1;}  //i=typedata5K.length
			updateform4();
			//FCATDisp();
	}
	
	function FCATDisp(){
		switch (typeFpointer){
		case 0:		{
					document.getElementById("FLNGbox").style.backgroundImage = 'url("./images/SOHFF.png")';
					}
		break;			
		case 1:		{
					document.getElementById("FLNGbox").style.backgroundImage = 'url("./images/SOPFF.png")';
					} 
		break;
		case 2:		{
					document.getElementById("FLNGbox").style.backgroundImage = 'url("./images/BLFF.png")';
					} 
		break;
		case 3:		{
					document.getElementById("FLNGbox").style.backgroundImage = 'url("./images/SOHRF.png")';
					}
		break;			
		case 4:		{
					document.getElementById("FLNGbox").style.backgroundImage = 'url("./images/SOPRF.png")';
					} 
		break;
		case 5:		{
					document.getElementById("FLNGbox").style.backgroundImage = 'url("./images/BLRF.png")';
					} 
		break;
		case 6:		{
					document.getElementById("FLNGbox").style.backgroundImage = 'url("./images/WN.png")';
					} 
		break;
		case 7:		{
					document.getElementById("FLNGbox").style.backgroundImage = 'url("./images/WN.png")';
					} 
		break;
        case 8:     {
                    document.getElementById("FLNGbox").style.backgroundImage = 'url("./images/LJ.png")';
                    } 
        break;		default:	{
					document.getElementById("FLNGbox").style.backgroundImage = 'url("./images/SOHRF.png")';
					}
		}
	}

					function 	SOHFFdisp(){
						var obj = document.getElementById("Ftitle");
						obj.innerHTML = "鋼管さし込み溶接フランジ(ハブフランジSOH)<br>(全面座FF) ";
						var obj = document.getElementById("FaiD");
						//obj.innerHTML = " ";
						var obj = document.getElementById("FaiC");
						//obj.innerHTML = " ";
						var obj = document.getElementById("Faih");
						//obj.innerHTML = " ";
						var obj = document.getElementById("FaiN");
						//obj.innerHTML = " ";
						var obj = document.getElementById("Fait");
						//obj.innerHTML = " ";
						var obj = document.getElementById("Faido");
						//obj.innerHTML = " ";
						var obj = document.getElementById("Faia");
							if (aclasspointer == 0 && pointer<=21 ){obj.innerHTML = "---";}
							if (aclasspointer == 1 && pointer<=17 ){obj.innerHTML = "---";}
						//obj.innerHTML = " ";
						var obj = document.getElementById("Faib");
							if (aclasspointer == 0 && pointer<=21 ){obj.innerHTML = "---";}
							if (aclasspointer == 1 && pointer<=17 ){obj.innerHTML = "---";}
						//obj.innerHTML = " ";
						var obj = document.getElementById("FaiT");
							if (aclasspointer == 0 && pointer<=21 ){obj.innerHTML = "---";}
							if (aclasspointer == 1 && pointer<=17 ){obj.innerHTML = "---";}
						//obj.innerHTML = " ";
						var obj = document.getElementById("Faig");
						obj.innerHTML = " ";
						var obj = document.getElementById("Faif");
						obj.innerHTML = " ";
                        var obj = document.getElementById("FaiLR");
                        obj.innerHTML = " ";
						var obj = document.getElementById("FKg");
						obj.innerHTML = sOHKg +"Kg";
						
					}
				
					function 	SOPFFdisp(){
						var obj = document.getElementById("Ftitle");
						obj.innerHTML = "鋼管さし込み溶接フランジ(板フランジSOP)<br>(全面座FF)";
						var obj = document.getElementById("FaiD");
						//obj.innerHTML = " ";
						var obj = document.getElementById("FaiC");
						//obj.innerHTML = " ";
						var obj = document.getElementById("Faih");
						//obj.innerHTML = " ";
						var obj = document.getElementById("FaiN");
						//obj.innerHTML = " ";
						var obj = document.getElementById("Fait");
						//obj.innerHTML = " ";
						var obj = document.getElementById("Faido");
						//obj.innerHTML = " ";
						var obj = document.getElementById("Faia");
						obj.innerHTML = " ";
						var obj = document.getElementById("Faib");
						obj.innerHTML = " ";
						var obj = document.getElementById("FaiT");
						obj.innerHTML = " ";
						var obj = document.getElementById("Faig");
						obj.innerHTML = " ";
						var obj = document.getElementById("Faif");
						obj.innerHTML = " ";
                        var obj = document.getElementById("FaiLR");
                        obj.innerHTML = " ";
						
						var obj = document.getElementById("FKg");
						obj.innerHTML = sOPKg +"Kg";

					}
				
					function 	BLFFdisp(){
						var obj = document.getElementById("Ftitle");
						obj.innerHTML = "閉止フランジ<br>(全面座FF) ";
						var obj = document.getElementById("FaiD");
						//obj.innerHTML = " ";
						var obj = document.getElementById("FaiC");
						//obj.innerHTML = " ";
						var obj = document.getElementById("Faih");
						//obj.innerHTML = " ";
						var obj = document.getElementById("FaiN");
						//obj.innerHTML = " ";
						var obj = document.getElementById("Fait");
						obj.innerHTML = tBLg;
						var obj = document.getElementById("Faido");
						obj.innerHTML = " ";
						var obj = document.getElementById("Faia");
						obj.innerHTML = " ";
						var obj = document.getElementById("Faib");
						obj.innerHTML = " ";
						var obj = document.getElementById("FaiT");
						obj.innerHTML = " ";
						var obj = document.getElementById("Faig");
						obj.innerHTML = " ";
						var obj = document.getElementById("Faif");
						obj.innerHTML = " ";
                        var obj = document.getElementById("FaiLR");
                        obj.innerHTML = " ";
						
						var obj = document.getElementById("FKg");
						obj.innerHTML = bLKg +"Kg";

						
					}
				
					function 	SOHRFdisp(){
						var obj = document.getElementById("Ftitle");
						obj.innerHTML = "鋼管さし込み溶接フランジ(ハブフランジSOH)<br>(平面座RF)";
						var obj = document.getElementById("FaiD");
						//obj.innerHTML = " ";
						var obj = document.getElementById("FaiC");
						//obj.innerHTML = " ";
						var obj = document.getElementById("Faih");
						//obj.innerHTML = " ";
						var obj = document.getElementById("FaiN");
						//obj.innerHTML = " ";
						var obj = document.getElementById("Fait");
						//obj.innerHTML = " ";
						var obj = document.getElementById("Faido");
						//obj.innerHTML = " ";
						var obj = document.getElementById("Faia");
						//obj.innerHTML = " ";
						var obj = document.getElementById("Faib");
						//obj.innerHTML = " ";
						var obj = document.getElementById("FaiT");
						//obj.innerHTML = " ";
						var obj = document.getElementById("Faig");
						//obj.innerHTML = " ";
						var obj = document.getElementById("Faif");
						//obj.innerHTML = " ";
                        var obj = document.getElementById("FaiLR");
                        obj.innerHTML = " ";
						
						var obj = document.getElementById("FKg");
						obj.innerHTML = sOHKg +"Kg";

						
					}
				
					function 	SOPRFdisp(){
						var obj = document.getElementById("Ftitle");
						obj.innerHTML = "鋼管さし込み溶接フランジ(板フランジSOP)<br>(平面座RF)";
						var obj = document.getElementById("FaiD");
						//obj.innerHTML = " ";
						var obj = document.getElementById("FaiC");
						//obj.innerHTML = " ";
						var obj = document.getElementById("Faih");
						//obj.innerHTML = " ";
						var obj = document.getElementById("FaiN");
						//obj.innerHTML = " ";
						var obj = document.getElementById("Fait");
						//obj.innerHTML = " ";
						var obj = document.getElementById("Faido");
						//obj.innerHTML = " ";
						var obj = document.getElementById("Faia");
						obj.innerHTML = " ";
						var obj = document.getElementById("Faib");
						obj.innerHTML = " ";
						var obj = document.getElementById("FaiT");
						obj.innerHTML = " ";
						var obj = document.getElementById("Faig");
						//obj.innerHTML = " ";
						var obj = document.getElementById("Faif");
						//obj.innerHTML = " ";
                        var obj = document.getElementById("FaiLR");
                        obj.innerHTML = " ";
						
						var obj = document.getElementById("FKg");
						obj.innerHTML = sOPKg +"Kg";

						
					}
				
					function 	BLRFdisp(){
						var obj = document.getElementById("Ftitle");
						obj.innerHTML = "閉止フランジ<br>(平面座RF)";
						var obj = document.getElementById("FaiD");
						//obj.innerHTML = " ";
						var obj = document.getElementById("FaiC");
						//obj.innerHTML = " ";
						var obj = document.getElementById("Faih");
						//obj.innerHTML = " ";
						var obj = document.getElementById("FaiN");
						//obj.innerHTML = " ";
						var obj = document.getElementById("Fait");
						obj.innerHTML = tBLg;
						var obj = document.getElementById("Faido");
						obj.innerHTML = " ";
						var obj = document.getElementById("Faia");
						obj.innerHTML = " ";
						var obj = document.getElementById("Faib");
						obj.innerHTML = " ";
						var obj = document.getElementById("FaiT");
						obj.innerHTML = " ";
						var obj = document.getElementById("Faig");
						//obj.innerHTML = " ";
						var obj = document.getElementById("Faif");
						//obj.innerHTML = " ";
                        var obj = document.getElementById("FaiLR");
                        obj.innerHTML = " ";
						
						var obj = document.getElementById("FKg");
						obj.innerHTML = bLKg +"Kg";

						
					}
				
					function 	WNdisp(){
						var obj = document.getElementById("Ftitle");
						obj.innerHTML = " 突合せ溶接式フランジ<br>(平面座RF)";
						var obj = document.getElementById("FaiD");
						//obj.innerHTML = " ";
						var obj = document.getElementById("FaiC");
						//obj.innerHTML = " ";
						var obj = document.getElementById("Faih");
						//obj.innerHTML = " ";
						var obj = document.getElementById("FaiN");
						//obj.innerHTML = " ";
						var obj = document.getElementById("Fait");
						//obj.innerHTML = " ";
						var obj = document.getElementById("Faido");
						obj.innerHTML = "管内径";
						var obj = document.getElementById("Faia");
						//obj.innerHTML = " ";
						var obj = document.getElementById("Faib");
						//obj.innerHTML = " ";
						var obj = document.getElementById("FaiT");
						//obj.innerHTML = " ";
						var obj = document.getElementById("Faig");
						//obj.innerHTML = " ";
						var obj = document.getElementById("Faif");
						//obj.innerHTML = " ";
                        var obj = document.getElementById("FaiLR");
                        obj.innerHTML = " ";
						
						var obj = document.getElementById("FKg");
						obj.innerHTML = wNKg +"Kg";

						
					}
				
					function 	WN30Kdisp(){
						var obj = document.getElementById("Ftitle");
						obj.innerHTML = " 突合せ溶接式フランジ<br>(平面座RF)";
						var obj = document.getElementById("FaiD");
						//obj.innerHTML = " ";
						var obj = document.getElementById("FaiC");
						//obj.innerHTML = " ";
						var obj = document.getElementById("Faih");
						//obj.innerHTML = " ";
						var obj = document.getElementById("FaiN");
						//obj.innerHTML = " ";
						var obj = document.getElementById("Fait");
						//obj.innerHTML = " ";
						var obj = document.getElementById("Faido");
						obj.innerHTML = "管内径";
						var obj = document.getElementById("Faia");
						obj.innerHTML = F30K[pointer]["aWN"];
						//obj.innerHTML = " ";
						var obj = document.getElementById("Faib");
						obj.innerHTML = F30K[pointer]["bWN"];
						//obj.innerHTML = " ";
						var obj = document.getElementById("FaiT");
						obj.innerHTML =  F30K[pointer]["WNT"];
						//obj.innerHTML = " ";
						var obj = document.getElementById("Faig");
						//obj.innerHTML = " ";
						var obj = document.getElementById("Faif");
						//obj.innerHTML = " ";
                        var obj = document.getElementById("FaiLR");
                        obj.innerHTML = " ";
						
						var obj = document.getElementById("FKg");
						obj.innerHTML = sOHKg +"Kg";

						
					}
					
					function sc(i){
						SchpointerLJ=i;
						// ラジオボタンを更新
                        switch(i){
                                case 0: {
                                    document.getElementById("radio-choice-5").checked = true;
                                }
                                break;
                                case 1: {
                                    document.getElementById("radio-choice-10").checked = true;
                                }
                                break;
                                case 2: {
                                    document.getElementById("radio-choice-20").checked = true;
                                }
                                break;
                                case 3: {
                                    document.getElementById("radio-choice-40").checked = true;
                                }
                                break;
                                default: {
                                    document.getElementById("radio-choice-10").checked = true;
                                }
                            }
                            $("input[type='radio']").checkboxradio("refresh");
						updateform4();
					}
					
                    function    LJdisp(){
                    	var ap = aclasspointer;
                    	var sp = SchpointerLJ;
                        document.getElementById("Sch").style.visibility = "visible";
                        //document.getElementById("Snj").style.visibility = "hidden";
                        var obj = document.getElementById("Ftitle");
                        obj.innerHTML = " ラップジョイント(SUS)<span class='mojisizeLJst'> -スタブエンド</span>";
                        var obj = document.getElementById("FaiD");
                        obj.innerHTML = " ";
                        var obj = document.getElementById("FaiC");
                        obj.innerHTML = " ";
                        document.getElementById("Faih").style.visibility = "hidden";
                        var obj = document.getElementById("Faih");
                        //obj.innerHTML = " ";
                        document.getElementById("FaiN").style.visibility = "hidden";
                        var obj = document.getElementById("FaiN");
                        //obj.innerHTML = " ";
                        document.getElementById("Fait").style.visibility = "hidden";
                        var Thickness = document.getElementById("Fait").innerHTML;
                        var obj = document.getElementById("Fait");
                        obj.innerHTML = parseFloat(Thickness) + parseFloat(LT[sp]);
                        var obj = document.getElementById("Faido");
                        obj.innerHTML = " ";
                        var obj = document.getElementById("Faia");
                        obj.innerHTML = " ";
                        var obj = document.getElementById("Faib");
                        obj.innerHTML = " ";
                        var obj = document.getElementById("FaiT");
                        obj.innerHTML = " ";
                        var obj = document.getElementById("Faig");
                        obj.innerHTML = " ";
                        var obj = document.getElementById("Faif");
                        obj.innerHTML = " ";
                        var obj = document.getElementById("FaiLOD");
                        obj.innerHTML = LOD;
                        var obj = document.getElementById("FaiLG");
                        obj.innerHTML = LG[ap];
                        var obj = document.getElementById("FaiLF");
                        obj.innerHTML = LF;
                        var obj = document.getElementById("FaiLT");
                        obj.innerHTML = LT[sp];
                        var obj = document.getElementById("FaiLT2");
                        var LTGT = LT[sp].split("／", 1);
                        obj.innerHTML = LTGT + GTround(LTGT) ;
                        var obj = document.getElementById("FaiLR");
                        obj.innerHTML = LR1;
                        
                        var obj = document.getElementById("Snj");
                        obj.innerHTML ="参考重量(SUS) " + KGcalc(LG[ap],LOD,LT[sp],LF) + "Kg";

                        
                    }
function KGcalc(G,D,T,F){
    var di,g1,g2,g2m,v;
    di = parseFloat(D)-(2*parseFloat(T));
    g1=parseFloat(G)*parseFloat(G)*3.14159/4*parseFloat(T);
    g2=parseFloat(D)*parseFloat(D)*3.14159/4*(parseFloat(F)-parseFloat(T));
    g2m=di*di*3.14159/4*parseFloat(F);
    v=(g1+g2-g2m)/1000/1000;
    return Math.round(v*7.93*1000) / 1000;
    
}                    
                    	
function GTround(d){
	var t;
	var a;
	t=parseFloat(d)+0.4;
	a=(Math.floor(t/0.5))*0.5;
	if (a == d) return "";
	else return  "(" +a+")";
}