
var yobiparaE =['LABE','CABE','RABE'];
var typepara =['0','LANG','CANG','RANG'];
var lorspara =['0','LECATE','CECATE','RECATE'];

var typedata = ["４５°             :0","９０°             :1","１８０°             :2"];
var typepointer = 1;
var lorsdata = ["ロング             :0","ショート             :1","----             :2"];
var lorspointer = 0;
var lorspointer45 = 0;
var lorspointer180 = 0;

var EL90=[	{"A":"(6)","B":"1/8","D":"10.5","H":"－","HS":"－","F":"－","FS":"－","P":"－","PS":"－","K":"－","KS":"－","E":"－","E1":"－","G":"－"},
			{"A":"(8)","B":"1/4","D":"13.8","H":"－","HS":"－","F":"－","FS":"－","P":"－","PS":"－","K":"－","KS":"－","E":"－","E1":"－","G":"－"},
			{"A":"(10)","B":"3/8","D":"17.3","H":"－","HS":"－","F":"－","FS":"－","P":"－","PS":"－","K":"－","KS":"－","E":"－","E1":"－","G":"－"},
			{"A":"15","B":"1/2","D":"21.7","H":"15.8","HS":"－","F":"38.1","FS":"－","P":"76.2","PS":"－","K":"49","KS":"－","E":"25.4","E1":"－","G":"－"},
			{"A":"20","B":"3/4","D":"27.2","H":"15.8","HS":"－","F":"38.1","FS":"－","P":"76.2","PS":"－","K":"51.7","KS":"－","E":"25.4","E1":"－","G":"－"},
			{"A":"25","B":"1","D":"34","H":"15.8","HS":"－","F":"38.1","FS":"25.4","P":"76.2","PS":"50.8","K":"55.1","KS":"42.4","E":"38.1","E1":"－","G":"－"},
			{"A":"32","B":"11/4","D":"42.7","H":"19.7","HS":"－","F":"47.6","FS":"31.8","P":"95.2","PS":"63.6","K":"69","KS":"53.2","E":"38.1","E1":"－","G":"－"},
			{"A":"40","B":"11/2","D":"48.6","H":"23.7","HS":"15.8","F":"57.2","FS":"38.1","P":"114.4","PS":"76.2","K":"81.5","KS":"62.4","E":"38.1","E1":"－","G":"－"},
			{"A":50,"B":"2","D":60.5,"H":31.6,"HS":"21.0","F":76.2,"FS":50.8,"P":152.4,"PS":101.6,"K":106.5,"KS":81.1,"E":38.1,"E1":"44.5","G":"5.5"},
			{"A":65,"B":"21/2","D":76.3,"H":39.5,"HS":"26.3","F":95.3,"FS":63.5,"P":190.6,"PS":127,"K":133.5,"KS":101.7,"E":38.1,"E1":"50.8","G":"7"},
			{"A":80,"B":"3","D":89.1,"H":47.3,"HS":"31.6","F":114.3,"FS":76.2,"P":228.6,"PS":152.4,"K":158.9,"KS":120.8,"E":50.8,"E1":"63.5","G":"7.6"},
			{"A":90,"B":"31/2","D":101.6,"H":55.3,"HS":"36.8","F":133.4,"FS":88.9,"P":266.8,"PS":177.8,"K":184.2,"KS":139.7,"E":63.5,"E1":"76.2","G":"8.1"},
			{"A":100,"B":"4","D":114.3,"H":63.1,"HS":"42.1","F":152.4,"FS":101.6,"P":304.8,"PS":203.2,"K":209.6,"KS":158.8,"E":63.5,"E1":"76.2","G":"8.6"},
			{"A":125,"B":"5","D":139.8,"H":78.9,"HS":"52.6","F":190.5,"FS":127,"P":381,"PS":254,"K":260.4,"KS":196.9,"E":76.2,"E1":"88.9","G":"9.5"},
			{"A":150,"B":"6","D":165.2,"H":94.7,"HS":"63.1","F":228.6,"FS":152.4,"P":457.2,"PS":304.8,"K":311.2,"KS":235,"E":88.9,"E1":"101.6","G":"11"},
			{"A":"(175)","B":"7","D":"190.7","H":"－","HS":"－","F":"－","FS":"－","P":"－","PS":"－","K":"－","KS":"－","E":"－","E1":"－","G":"－"},
			{"A":200,"B":"8","D":216.3,"H":126.3,"HS":"84.2","F":304.8,"FS":203.2,"P":609.6,"PS":406.4,"K":413,"KS":311.4,"E":101.6,"E1":"127","G":"12.7"},
			{"A":"(225)","B":"9","D":"241.8","H":"－","HS":"－","F":"－","FS":"－","P":"－","PS":"－","K":"－","KS":"－","E":"－","E1":"－","G":"－"},
			{"A":250,"B":"10","D":267.4,"H":157.8,"HS":"105.2","F":381,"FS":254,"P":762,"PS":508,"K":514.7,"KS":387.7,"E":127,"E1":"152.4","G":"12.7"},
			{"A":300,"B":"12","D":318.5,"H":189.4,"HS":"126.2","F":457.2,"FS":304.8,"P":914.4,"PS":609.6,"K":616.5,"KS":464.1,"E":152.4,"E1":"177.8","G":"12.7"},
			{"A":350,"B":"14","D":355.6,"H":220.9,"HS":"147.3","F":533.4,"FS":355.6,"P":1066.8,"PS":711.2,"K":711.2,"KS":533.4,"E":165.1,"E1":"190.5","G":"12.7"},
			{"A":400,"B":"16","D":406.4,"H":252.5,"HS":"168.3","F":609.6,"FS":406.4,"P":1219.2,"PS":812.8,"K":812.8,"KS":609.6,"E":177.8,"E1":"203.2","G":"12.7"},
			{"A":450,"B":"18","D":457.2,"H":284.1,"HS":"189.4","F":685.8,"FS":457.2,"P":1371.6,"PS":914.4,"K":914.4,"KS":685.8,"E":203.2,"E1":"228.6","G":"12.7"},
			{"A":500,"B":"20","D":508,"H":315.6,"HS":"210.4","F":762,"FS":508,"P":1524,"PS":1016,"K":1016,"KS":762,"E":228.6,"E1":"254","G":"12.7"},
			{"A":550,"B":"22","D":558.8,"H":347.2,"HS":"231.5","F":838.2,"FS":558.8,"P":"－","PS":"－","K":"－","KS":"－","E":254,"E1":"254","G":"12.7"},
			{"A":600,"B":"24","D":609.6,"H":378.7,"HS":"252.5","F":914.4,"FS":609.6,"P":"－","PS":"－","K":"－","KS":"－","E":266.7,"E1":"304.8","G":"12.7"},
			{"A":650,"B":"26","D":660.4,"H":410.3,"HS":"273.5","F":990.6,"FS":660.4,"P":"－","PS":"－","K":"－","KS":"－","E":266.7,"E1":"－","G":"－"}
		];

	function updateformE(){
				

		pointer=--pointer;
		yobikeiUpE(yobiparaE,true);
		cssAnimeR(yobiparaE);
	}
	function yobikeiUpE(y_id){      //上矢印イベント
		pUp(y_id);
			updateform2();
			cssAnimeU(y_id);
	}	
	function yobikeiDownE(y_id){     //下矢印イベント
		pDown(y_id);
			updateform2();
			cssAnimeD(y_id);
	}

	function showlistE(y_id){
	    droiddialogList("呼び径",yobikeiL);
		//var sizepoint = droiddialogList("呼び径",yobikeiL);
		//var pointerget = sizepoint.split(":");
		//var pget = parseInt(pointerget[1]);
		//pointer = --pget;
		//yobikeiUpE(y_id,true);		
	}

	function lorsUp(){
		switch (typepointer){
		case 0:		lorspointer =1-lorspointer; //45p 
		break;
		case 1:		lorspointer =1-lorspointer; //90p
		break;
		case 2:		lorspointer =1-lorspointer;//180p
		break;
		default:
		}
			updateform2();
	}
	
	function lorsDown(){
		switch (typepointer){
		case 0:		lorspointer =1-lorspointer;//45p 
		break;
		case 1:		lorspointer =1-lorspointer; //90p
		break;
		case 2:		lorspointer =1-lorspointer;//180p
		break;
		default:
		}
			updateform2();
	}		

	function showlors(p){        //直接選択ダイアログ
		var sizepoint = droid.dialogList("ロング又はショート",lorsdata);
		var pointerget = sizepoint.split(":");
		var pget = parseInt(pointerget[1]);
		lorspointer = pget;
		lorspointer = pget;
		lorspointer = pget;
		updateform2();
	}


	function typeUp(){
		typepointer ++;
		if (typepointer >= typedata.length) {typepointer = 0;}
			updateform2();
	}
	
	function typeDown(){
		typepointer--;
		if (typepointer <= -1) {typepointer = typedata.length-1;}
			updateform2();
	}		

	function showtype(p){        //直接選択ダイアログ
		var sizepoint = droid.dialogList("タイプtype",typedata);
		var pointerget = sizepoint.split(":");
		var pget = parseInt(pointerget[1]);
		typepointer = pget;
		updateform2();
		}

function updateform2(){                    //フォームの再表示　false設定で無限ループ回避
		var 	type=document.getElementById("CANG");
		var 	sizeA=document.getElementById("CABE");
		var 	lors= document.getElementById("CECATE");
		switch (typepointer){
		case 0:		lorsDisp45();//45p 
		break;
		case 1:		lorsDisp(); //90p
		break;
		case 2:		lorsDisp180();//180p
		break;
		default:
		}
	
		typeDisp(typepara);

		
}


	function lorsDisp(){
		var obj = document.getElementById(lorspara[1]);
		obj.innerHTML = splitword(lorsdata[invpointer(lorspointer,lorsdata.length)]);
		var obj = document.getElementById(lorspara[2]);
		obj.innerHTML = splitword(lorsdata[lorspointer]);
		var obj = document.getElementById(lorspara[3]);
		obj.innerHTML = splitword(lorsdata[envpointer(lorspointer,lorsdata.length)]);
	}	
	function lorsDisp45(){
		var obj = document.getElementById(lorspara[1]);
		obj.innerHTML = splitword(lorsdata[invpointer(lorspointer,lorsdata.length)]);
		var obj = document.getElementById(lorspara[2]);
		obj.innerHTML = splitword(lorsdata[lorspointer]);
		var obj = document.getElementById(lorspara[3]);
		obj.innerHTML = splitword(lorsdata[envpointer(lorspointer,lorsdata.length)]);
	}	
	function lorsDisp180(){
		var obj = document.getElementById(lorspara[1]);
		obj.innerHTML = splitword(lorsdata[invpointer(lorspointer,lorsdata.length)]);
		var obj = document.getElementById(lorspara[2]);
		obj.innerHTML = splitword(lorsdata[lorspointer]);
		var obj = document.getElementById(lorspara[3]);
		obj.innerHTML = splitword(lorsdata[envpointer(lorspointer,lorsdata.length)]);
	}	

	function typeDisp(z_id){
		var obj = document.getElementById(z_id[1]);
		obj.innerHTML = splitword(typedata[invpointer(typepointer,typedata.length)]);
		var obj = document.getElementById(z_id[2]);
		obj.innerHTML = splitword(typedata[typepointer ]);
		var obj = document.getElementById(z_id[3]);
		obj.innerHTML = splitword(typedata[envpointer(typepointer,typedata.length)]);
		
		var tmp =  typedata[typepointer ];
		var pointerget = tmp.split(":");
		var pget = parseInt(pointerget[1]);
		switch (pget){
		case 0:		case45();//45p 
		break;
		case 1:		case90();; //90p
		break;
		case 2:		case180();;//180p
		break;
		default:
		}
	}

	function case45(){
	
		lorsDisp45();//<<TYPE>> をクリア
			switch (lorspointer){
			case 0:  document.getElementById("45LS").style.backgroundImage = 'url("./images/45EL.png")';
			break;
			case 1:  document.getElementById("45LS").style.backgroundImage = 'url("./images/45ES.png")';
			break;
			default: document.getElementById("45LS").style.backgroundImage = 'url("./images/45EL.png")';
		}

	
		ChangeContent2('45p');//45p
		var obj = document.getElementById("45etitle");
		obj.innerHTML = "エルボ 該当無し";
		var obj = document.getElementById("item45-D");
		obj.innerHTML = "NaN";
		var obj = document.getElementById("item45-H");
		obj.innerHTML = "NaN";
		var obj = document.getElementById("item45-H2");
		obj.innerHTML = "NaN";

		var gaikei;
		var sizeH;
		var obj = EL90[pointer];
		gaikei = parseFloat(EL90[pointer]["D"]);
				switch (lorspointer){
			case 0:  sizeH = parseFloat(EL90[pointer]["H"]); 
			break;
			case 1:  sizeH = parseFloat(EL90[pointer]["HS"]); 
			break;
			default: sizeH = parseFloat(EL90[pointer]["H"]); 
		}

		var obj = document.getElementById("45etitle");
		obj.innerHTML = "45°　エルボ";
		var obj = document.getElementById("item45-D");
		obj.innerHTML = gaikei;
		var obj = document.getElementById("item45-H");
		obj.innerHTML = sizeH;
		var obj = document.getElementById("item45-H2");
		obj.innerHTML = sizeH;

	}

	function case90(){
		lorsDisp();
		switch (lorspointer){
			case 0:  document.getElementById("90LS").style.backgroundImage = 'url("./images/90EL.png")';
			break;
			case 1:  document.getElementById("90LS").style.backgroundImage = 'url("./images/90ES.png")';
			break;
			default: document.getElementById("90LS").style.backgroundImage = 'url("./images/90EL.png")';
		}
		
		ChangeContent2('90p');//45p
		var obj = document.getElementById("90etitle");
		obj.innerHTML = "エルボ 該当無し";
		var obj = document.getElementById("item90-D");
		obj.innerHTML = "NaN";
		var obj = document.getElementById("item90-F");
		obj.innerHTML = "NaN";
		var obj = document.getElementById("item90-F2");
		obj.innerHTML = "NaN";

		var gaikei;
		var sizeH;
		gaikei = parseFloat(EL90[pointer]["D"]);
		switch (lorspointer){
			case 0:  sizeH = parseFloat(EL90[pointer]["F"]); 
			break;
			case 1:  sizeH = parseFloat(EL90[pointer]["FS"]); 
			break;
			default: sizeH = parseFloat(EL90[pointer]["F"]); 
		}
		var obj = document.getElementById("90etitle");
		obj.innerHTML = "90°　エルボ";
		var obj = document.getElementById("item90-D");
		obj.innerHTML = gaikei;
		var obj = document.getElementById("item90-F");
		obj.innerHTML = sizeH;
		var obj = document.getElementById("item90-F2");
		obj.innerHTML = sizeH;

	}

	function case180(){
		lorsDisp180();
			switch (lorspointer){
			case 0:  document.getElementById("180LS").style.backgroundImage = 'url("./images/180EL.png")';
			break;
			case 1:  document.getElementById("180LS").style.backgroundImage = 'url("./images/180ES.png")';
			break;
			default: document.getElementById("180LS").style.backgroundImage = 'url("./images/180EL.png")';
		}
		ChangeContent2('180p');
		var obj = document.getElementById("180etitle");
		obj.innerHTML = "エルボ 該当無し";
		var obj = document.getElementById("item180-D");
		obj.innerHTML = "NaN";
		var obj = document.getElementById("item180-P");
		obj.innerHTML = "NaN";
		var obj = document.getElementById("item180-K");
		obj.innerHTML = "NaN";
		var gaikei;
		var sizeP;
		var sizeK;
		gaikei = parseFloat(EL90[pointer]["D"]);
		switch (lorspointer){
			case 0:  {sizeK = parseFloat(EL90[pointer]["K"]);
					sizeP = parseFloat(EL90[pointer]["P"]); 
					}
			break;
			case 1:  {sizeK = parseFloat(EL90[pointer]["KS"]); 
					sizeP = parseFloat(EL90[pointer]["PS"]);
					}
			break;
					
			default: {sizeK = parseFloat(EL90[pointer]["K"]); 
					sizeP = parseFloat(EL90[pointer]["P"]);
					}
	};
		var obj = document.getElementById("180etitle");
		obj.innerHTML = "180°　エルボ";
		var obj = document.getElementById("item180-D");
		obj.innerHTML = gaikei;
		var obj = document.getElementById("item180-P");
		obj.innerHTML = sizeP;
		var obj = document.getElementById("item180-K");
		obj.innerHTML = sizeK;
		

	}




		
	function ChangeContent2(tabname) {
	   // 全部消す
	   document.getElementById('45p').style.display = 'none';
	   document.getElementById('90p').style.display = 'none';
	   document.getElementById('180p').style.display = 'none';
	   // 指定箇所のみ表示
	   document.getElementById(tabname).style.display = 'block';
	}
		
		



	

